Activity log for bug #1259829

Date Who What changed Old value New value Message
2013-12-11 06:19:35 Ritesh Khadgaray bug added bug
2013-12-11 06:30:09 Brad Figg linux (Ubuntu): status New Incomplete
2013-12-11 06:30:10 Brad Figg tags trusty
2013-12-11 09:30:08 Ritesh Khadgaray tags trusty apport-collected staging trusty
2013-12-11 09:30:10 Ritesh Khadgaray description fs goes into read-only mode while build lo $ dmesg ... [ 2045.473249] virbr0: port 1(vnet0) entered forwarding state [ 2045.473283] IPv6: ADDRCONF(NETDEV_CHANGE): virbr0: link becomes ready [10660.961381] perf samples too long (2505 > 2500), lowering kernel.perf_event_max_sample_rate to 50000 [11822.935891] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629599: block 214443464: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1667681412, rec_len=45654, name_len=39 [11822.935896] Aborting journal on device dm-1-8. [11822.935998] EXT4-fs (dm-1): Remounting filesystem read-only [11822.960425] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629605: block 214443466: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2707156714, rec_len=19312, name_len=162 [11850.985003] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629557: block 214443458: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=512948573, rec_len=8858, name_len=176 [11850.985276] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629465: block 214443455: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=160939375, rec_len=26085, name_len=126 [11850.985499] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629325: block 214443451: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2322664969, rec_len=33791, name_len=132 [11850.985927] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629467: block 214443456: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=954332768, rec_len=21653, name_len=30 [11850.986409] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629074: block 214443433: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2061605548, rec_len=4984, name_len=3 [11850.986831] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628835: block 214443432: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3523041938, rec_len=53167, name_len=41 [11850.987001] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629098: block 214443436: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4225920287, rec_len=35138, name_len=75 [11850.987466] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629275: block 214443449: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=923253145, rec_len=44001, name_len=144 [11850.988115] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629270: block 214443448: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1892288796, rec_len=55247, name_len=58 [11851.042303] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629300: block 214443450: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=1809316884, rec_len=4208, name_len=195 [11851.042938] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629401: block 214443453: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4223616103, rec_len=36326, name_len=130 [11851.045745] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629406: block 214443454: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=415237227, rec_len=24702, name_len=59 [11851.125849] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629101: block 214443437: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=23292377, rec_len=28820, name_len=135 [11851.126086] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629543: block 214443457: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2624043515, rec_len=58633, name_len=250 [11851.126292] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629244: block 214443446: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=194839831, rec_len=15430, name_len=123 [11851.126529] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629345: block 214443452: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3316601052, rec_len=49124, name_len=10 [11851.126751] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629080: block 214443434: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2978861680, rec_len=55340, name_len=75 [11851.127326] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629254: block 214443447: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2927900409, rec_len=17708, name_len=67 [11851.191574] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628436: block 214443431: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3175406590, rec_len=48803, name_len=238 [11851.191832] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629561: block 214443459: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=880872205, rec_len=23750, name_len=202 [11851.192102] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629565: block 214443460: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3673769297, rec_len=36964, name_len=8 [11851.193231] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629577: block 214443462: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=164744460, rec_len=27548, name_len=230 [ritesh@x230t libreoffice-4.1.2~rc3]$ ^C [ritesh@x230t libreoffice-4.1.2~rc3]$ smartctl -a /dev/sda smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org [ritesh@x230t libreoffice-4.1.2~rc3]$ sudo smartctl -a /dev/sda sudo: unable to open /var/lib/sudo/ritesh/4: No such file or directory smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org === START OF INFORMATION SECTION === Device Model: Crucial_CT960M500SSD1 Serial Number: 1335094BE7CA LU WWN Device Id: 5 00a075 1094be7ca Firmware Version: MU03 User Capacity: 960,197,124,096 bytes [960 GB] Sector Sizes: 512 bytes logical, 4096 bytes physical Rotation Rate: Solid State Device Device is: Not in smartctl database [for details use: -P showall] ATA Version is: ACS-2, ATA8-ACS T13/1699-D revision 6 SATA Version is: SATA 3.1, 6.0 Gb/s (current: 6.0 Gb/s) Local Time is: Wed Dec 11 11:38:48 2013 IST SMART support is: Available - device has SMART capability. SMART support is: Enabled === START OF READ SMART DATA SECTION === SMART overall-health self-assessment test result: PASSED General SMART Values: Offline data collection status: (0x80) Offline data collection activity was never started. Auto Offline Data Collection: Enabled. Self-test execution status: ( 0) The previous self-test routine completed without error or no self-test has ever been run. Total time to complete Offline data collection: ( 4470) seconds. Offline data collection capabilities: (0x7b) SMART execute Offline immediate. Auto Offline data collection on/off support. Suspend Offline collection upon new command. Offline surface scan supported. Self-test supported. Conveyance Self-test supported. Selective Self-test supported. SMART capabilities: (0x0003) Saves SMART data before entering power-saving mode. Supports SMART auto save timer. Error logging capability: (0x01) Error logging supported. General Purpose Logging supported. Short self-test routine recommended polling time: ( 2) minutes. Extended self-test routine recommended polling time: ( 74) minutes. Conveyance self-test routine recommended polling time: ( 3) minutes. SCT capabilities: (0x0035) SCT Status supported. SCT Feature Control supported. SCT Data Table supported. SMART Attributes Data Structure revision number: 16 Vendor Specific SMART Attributes with Thresholds: ID# ATTRIBUTE_NAME FLAG VALUE WORST THRESH TYPE UPDATED WHEN_FAILED RAW_VALUE 1 Raw_Read_Error_Rate 0x002f 100 100 000 Pre-fail Always - 21 5 Reallocated_Sector_Ct 0x0033 100 100 000 Pre-fail Always - 0 9 Power_On_Hours 0x0032 100 100 000 Old_age Always - 287 12 Power_Cycle_Count 0x0032 100 100 000 Old_age Always - 32 171 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 172 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 173 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 1 174 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 13 180 Unused_Rsvd_Blk_Cnt_Tot 0x0033 000 000 000 Pre-fail Always - 16523 183 Runtime_Bad_Block 0x0032 100 100 000 Old_age Always - 0 184 End-to-End_Error 0x0032 100 100 000 Old_age Always - 0 187 Reported_Uncorrect 0x0032 100 100 000 Old_age Always - 0 194 Temperature_Celsius 0x0022 056 050 000 Old_age Always - 44 (Min/Max 22/50) 196 Reallocated_Event_Count 0x0032 100 100 000 Old_age Always - 16 197 Current_Pending_Sector 0x0032 100 100 000 Old_age Always - 0 198 Offline_Uncorrectable 0x0030 100 100 000 Old_age Offline - 0 199 UDMA_CRC_Error_Count 0x0032 100 100 000 Old_age Always - 0 202 Unknown_SSD_Attribute 0x0031 100 100 000 Pre-fail Offline - 0 206 Unknown_SSD_Attribute 0x000e 100 100 000 Old_age Always - 0 210 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 4 246 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 2001841864 247 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 63823477 248 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 84291328 SMART Error Log Version: 1 No Errors Logged SMART Self-test log structure revision number 1 Num Test_Description Status Remaining LifeTime(hours) LBA_of_first_error # 1 Vendor (0xff) Completed without error 00% 279 - # 2 Extended offline Completed without error 00% 273 - # 3 Vendor (0xff) Completed without error 00% 90 - # 4 Vendor (0xff) Completed without error 00% 5 - # 5 Short offline Aborted by host 00% 2 - # 6 Vendor (0xff) Completed without error 00% 2 - SMART Selective self-test log data structure revision number 1 SPAN MIN_LBA MAX_LBA CURRENT_TEST_STATUS 1 0 0 Not_testing 2 0 0 Not_testing 3 0 0 Not_testing 4 0 0 Not_testing 5 0 0 Not_testing Selective self-test flags (0x0): After scanning selected spans, do NOT read-scan remainder of disk. If Selective self-test is pending on power-up, resume after 0 minute delay. [ritesh@x230t libreoffice-4.1.2~rc3]$ uname -a Linux x230t 3.12.0-7-generic #15-Ubuntu SMP Sun Dec 8 23:39:27 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux $ mount /dev/mapper/ubuntu--vg-root on / type ext4 (rw,noatime,errors=remount-ro,discard) proc on /proc type proc (rw,noexec,nosuid,nodev) sysfs on /sys type sysfs (rw,noexec,nosuid,nodev) none on /sys/fs/cgroup type tmpfs (rw) none on /sys/fs/fuse/connections type fusectl (rw) none on /sys/kernel/debug type debugfs (rw) none on /sys/kernel/security type securityfs (rw) none on /sys/firmware/efi/efivars type efivarfs (rw) udev on /dev type devtmpfs (rw,mode=0755) devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=0620) tmpfs on /tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /run type tmpfs (rw,noexec,nosuid,size=10%,mode=0755) none on /run/lock type tmpfs (rw,noexec,nosuid,nodev,size=5242880) none on /run/shm type tmpfs (rw,nosuid,nodev) none on /run/user type tmpfs (rw,noexec,nosuid,nodev,size=104857600,mode=0755) none on /sys/fs/pstore type pstore (rw) tmpfs on /var/tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /var/log type tmpfs (rw,noatime,mode=0755) cgroup on /sys/fs/cgroup/cpuset type cgroup (rw,relatime,cpuset) cgroup on /sys/fs/cgroup/cpu type cgroup (rw,relatime,cpu) cgroup on /sys/fs/cgroup/cpuacct type cgroup (rw,relatime,cpuacct) cgroup on /sys/fs/cgroup/memory type cgroup (rw,relatime,memory) cgroup on /sys/fs/cgroup/devices type cgroup (rw,relatime,devices) cgroup on /sys/fs/cgroup/freezer type cgroup (rw,relatime,freezer) cgroup on /sys/fs/cgroup/blkio type cgroup (rw,relatime,blkio) cgroup on /sys/fs/cgroup/perf_event type cgroup (rw,relatime,perf_event) cgroup on /sys/fs/cgroup/hugetlb type cgroup (rw,relatime,hugetlb) /dev/sda2 on /boot type ext2 (rw) /dev/sda1 on /boot/efi type vfat (rw) systemd on /sys/fs/cgroup/systemd type cgroup (rw,noexec,nosuid,nodev,none,name=systemd) gvfsd-fuse on /run/user/1000/gvfs type fuse.gvfsd-fuse (rw,nosuid,nodev,user=ritesh) fsck/badblock (read only) says disk is clean. fs goes into read-only mode while build lo $ dmesg ... [ 2045.473249] virbr0: port 1(vnet0) entered forwarding state [ 2045.473283] IPv6: ADDRCONF(NETDEV_CHANGE): virbr0: link becomes ready [10660.961381] perf samples too long (2505 > 2500), lowering kernel.perf_event_max_sample_rate to 50000 [11822.935891] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629599: block 214443464: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1667681412, rec_len=45654, name_len=39 [11822.935896] Aborting journal on device dm-1-8. [11822.935998] EXT4-fs (dm-1): Remounting filesystem read-only [11822.960425] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629605: block 214443466: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2707156714, rec_len=19312, name_len=162 [11850.985003] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629557: block 214443458: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=512948573, rec_len=8858, name_len=176 [11850.985276] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629465: block 214443455: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=160939375, rec_len=26085, name_len=126 [11850.985499] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629325: block 214443451: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2322664969, rec_len=33791, name_len=132 [11850.985927] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629467: block 214443456: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=954332768, rec_len=21653, name_len=30 [11850.986409] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629074: block 214443433: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2061605548, rec_len=4984, name_len=3 [11850.986831] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628835: block 214443432: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3523041938, rec_len=53167, name_len=41 [11850.987001] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629098: block 214443436: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4225920287, rec_len=35138, name_len=75 [11850.987466] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629275: block 214443449: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=923253145, rec_len=44001, name_len=144 [11850.988115] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629270: block 214443448: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1892288796, rec_len=55247, name_len=58 [11851.042303] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629300: block 214443450: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=1809316884, rec_len=4208, name_len=195 [11851.042938] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629401: block 214443453: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4223616103, rec_len=36326, name_len=130 [11851.045745] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629406: block 214443454: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=415237227, rec_len=24702, name_len=59 [11851.125849] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629101: block 214443437: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=23292377, rec_len=28820, name_len=135 [11851.126086] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629543: block 214443457: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2624043515, rec_len=58633, name_len=250 [11851.126292] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629244: block 214443446: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=194839831, rec_len=15430, name_len=123 [11851.126529] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629345: block 214443452: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3316601052, rec_len=49124, name_len=10 [11851.126751] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629080: block 214443434: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2978861680, rec_len=55340, name_len=75 [11851.127326] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629254: block 214443447: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2927900409, rec_len=17708, name_len=67 [11851.191574] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628436: block 214443431: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3175406590, rec_len=48803, name_len=238 [11851.191832] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629561: block 214443459: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=880872205, rec_len=23750, name_len=202 [11851.192102] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629565: block 214443460: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3673769297, rec_len=36964, name_len=8 [11851.193231] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629577: block 214443462: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=164744460, rec_len=27548, name_len=230 [ritesh@x230t libreoffice-4.1.2~rc3]$ ^C [ritesh@x230t libreoffice-4.1.2~rc3]$ smartctl -a /dev/sda smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org [ritesh@x230t libreoffice-4.1.2~rc3]$ sudo smartctl -a /dev/sda sudo: unable to open /var/lib/sudo/ritesh/4: No such file or directory smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org === START OF INFORMATION SECTION === Device Model: Crucial_CT960M500SSD1 Serial Number: 1335094BE7CA LU WWN Device Id: 5 00a075 1094be7ca Firmware Version: MU03 User Capacity: 960,197,124,096 bytes [960 GB] Sector Sizes: 512 bytes logical, 4096 bytes physical Rotation Rate: Solid State Device Device is: Not in smartctl database [for details use: -P showall] ATA Version is: ACS-2, ATA8-ACS T13/1699-D revision 6 SATA Version is: SATA 3.1, 6.0 Gb/s (current: 6.0 Gb/s) Local Time is: Wed Dec 11 11:38:48 2013 IST SMART support is: Available - device has SMART capability. SMART support is: Enabled === START OF READ SMART DATA SECTION === SMART overall-health self-assessment test result: PASSED General SMART Values: Offline data collection status: (0x80) Offline data collection activity was never started. Auto Offline Data Collection: Enabled. Self-test execution status: ( 0) The previous self-test routine completed without error or no self-test has ever been run. Total time to complete Offline data collection: ( 4470) seconds. Offline data collection capabilities: (0x7b) SMART execute Offline immediate. Auto Offline data collection on/off support. Suspend Offline collection upon new command. Offline surface scan supported. Self-test supported. Conveyance Self-test supported. Selective Self-test supported. SMART capabilities: (0x0003) Saves SMART data before entering power-saving mode. Supports SMART auto save timer. Error logging capability: (0x01) Error logging supported. General Purpose Logging supported. Short self-test routine recommended polling time: ( 2) minutes. Extended self-test routine recommended polling time: ( 74) minutes. Conveyance self-test routine recommended polling time: ( 3) minutes. SCT capabilities: (0x0035) SCT Status supported. SCT Feature Control supported. SCT Data Table supported. SMART Attributes Data Structure revision number: 16 Vendor Specific SMART Attributes with Thresholds: ID# ATTRIBUTE_NAME FLAG VALUE WORST THRESH TYPE UPDATED WHEN_FAILED RAW_VALUE 1 Raw_Read_Error_Rate 0x002f 100 100 000 Pre-fail Always - 21 5 Reallocated_Sector_Ct 0x0033 100 100 000 Pre-fail Always - 0 9 Power_On_Hours 0x0032 100 100 000 Old_age Always - 287 12 Power_Cycle_Count 0x0032 100 100 000 Old_age Always - 32 171 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 172 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 173 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 1 174 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 13 180 Unused_Rsvd_Blk_Cnt_Tot 0x0033 000 000 000 Pre-fail Always - 16523 183 Runtime_Bad_Block 0x0032 100 100 000 Old_age Always - 0 184 End-to-End_Error 0x0032 100 100 000 Old_age Always - 0 187 Reported_Uncorrect 0x0032 100 100 000 Old_age Always - 0 194 Temperature_Celsius 0x0022 056 050 000 Old_age Always - 44 (Min/Max 22/50) 196 Reallocated_Event_Count 0x0032 100 100 000 Old_age Always - 16 197 Current_Pending_Sector 0x0032 100 100 000 Old_age Always - 0 198 Offline_Uncorrectable 0x0030 100 100 000 Old_age Offline - 0 199 UDMA_CRC_Error_Count 0x0032 100 100 000 Old_age Always - 0 202 Unknown_SSD_Attribute 0x0031 100 100 000 Pre-fail Offline - 0 206 Unknown_SSD_Attribute 0x000e 100 100 000 Old_age Always - 0 210 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 4 246 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 2001841864 247 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 63823477 248 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 84291328 SMART Error Log Version: 1 No Errors Logged SMART Self-test log structure revision number 1 Num Test_Description Status Remaining LifeTime(hours) LBA_of_first_error # 1 Vendor (0xff) Completed without error 00% 279 - # 2 Extended offline Completed without error 00% 273 - # 3 Vendor (0xff) Completed without error 00% 90 - # 4 Vendor (0xff) Completed without error 00% 5 - # 5 Short offline Aborted by host 00% 2 - # 6 Vendor (0xff) Completed without error 00% 2 - SMART Selective self-test log data structure revision number 1 SPAN MIN_LBA MAX_LBA CURRENT_TEST_STATUS 1 0 0 Not_testing 2 0 0 Not_testing 3 0 0 Not_testing 4 0 0 Not_testing 5 0 0 Not_testing Selective self-test flags (0x0): After scanning selected spans, do NOT read-scan remainder of disk. If Selective self-test is pending on power-up, resume after 0 minute delay. [ritesh@x230t libreoffice-4.1.2~rc3]$ uname -a Linux x230t 3.12.0-7-generic #15-Ubuntu SMP Sun Dec 8 23:39:27 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux $ mount /dev/mapper/ubuntu--vg-root on / type ext4 (rw,noatime,errors=remount-ro,discard) proc on /proc type proc (rw,noexec,nosuid,nodev) sysfs on /sys type sysfs (rw,noexec,nosuid,nodev) none on /sys/fs/cgroup type tmpfs (rw) none on /sys/fs/fuse/connections type fusectl (rw) none on /sys/kernel/debug type debugfs (rw) none on /sys/kernel/security type securityfs (rw) none on /sys/firmware/efi/efivars type efivarfs (rw) udev on /dev type devtmpfs (rw,mode=0755) devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=0620) tmpfs on /tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /run type tmpfs (rw,noexec,nosuid,size=10%,mode=0755) none on /run/lock type tmpfs (rw,noexec,nosuid,nodev,size=5242880) none on /run/shm type tmpfs (rw,nosuid,nodev) none on /run/user type tmpfs (rw,noexec,nosuid,nodev,size=104857600,mode=0755) none on /sys/fs/pstore type pstore (rw) tmpfs on /var/tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /var/log type tmpfs (rw,noatime,mode=0755) cgroup on /sys/fs/cgroup/cpuset type cgroup (rw,relatime,cpuset) cgroup on /sys/fs/cgroup/cpu type cgroup (rw,relatime,cpu) cgroup on /sys/fs/cgroup/cpuacct type cgroup (rw,relatime,cpuacct) cgroup on /sys/fs/cgroup/memory type cgroup (rw,relatime,memory) cgroup on /sys/fs/cgroup/devices type cgroup (rw,relatime,devices) cgroup on /sys/fs/cgroup/freezer type cgroup (rw,relatime,freezer) cgroup on /sys/fs/cgroup/blkio type cgroup (rw,relatime,blkio) cgroup on /sys/fs/cgroup/perf_event type cgroup (rw,relatime,perf_event) cgroup on /sys/fs/cgroup/hugetlb type cgroup (rw,relatime,hugetlb) /dev/sda2 on /boot type ext2 (rw) /dev/sda1 on /boot/efi type vfat (rw) systemd on /sys/fs/cgroup/systemd type cgroup (rw,noexec,nosuid,nodev,none,name=systemd) gvfsd-fuse on /run/user/1000/gvfs type fuse.gvfsd-fuse (rw,nosuid,nodev,user=ritesh) fsck/badblock (read only) says disk is clean. --- ApportVersion: 2.12.7-0ubuntu1 Architecture: amd64 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC1: ritesh 2141 F.... pulseaudio /dev/snd/controlC0: ritesh 2141 F.... pulseaudio CRDA: country IN: (2402 - 2482 @ 40), (N/A, 20) (5170 - 5250 @ 40), (N/A, 20) (5250 - 5330 @ 40), (N/A, 20), DFS (5735 - 5835 @ 40), (N/A, 20) CurrentDesktop: Unity DistroRelease: Ubuntu 14.04 HibernationDevice: RESUME=UUID=f9f2cec2-98f6-4f05-850a-9f60676c3299 MachineType: ASUSTeK Computer Inc. K43SA MarkForUpload: True Package: linux (not installed) ProcFB: 0 radeondrmfb ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.12.0-7-generic root=/dev/mapper/ubuntu--vg-root ro radeon.dpm=1 quiet splash ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4 RelatedPackageVersions: linux-restricted-modules-3.12.0-7-generic N/A linux-backports-modules-3.12.0-7-generic N/A linux-firmware 1.117 StagingDrivers: rts5139 Tags: trusty staging Uname: Linux 3.12.0-7-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip kvm libvirtd lpadmin plugdev sambashare sudo WifiSyslog: dmi.bios.date: 11/17/2011 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: K43SA.211 dmi.board.asset.tag: ATN12345678901234567 dmi.board.name: K43SA dmi.board.vendor: ASUSTeK Computer Inc. dmi.board.version: 1.0 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: ASUSTeK Computer Inc. dmi.chassis.version: 1.0 dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrK43SA.211:bd11/17/2011:svnASUSTeKComputerInc.:pnK43SA:pvr1.0:rvnASUSTeKComputerInc.:rnK43SA:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0: dmi.product.name: K43SA dmi.product.version: 1.0 dmi.sys.vendor: ASUSTeK Computer Inc.
2013-12-11 09:30:13 Ritesh Khadgaray attachment added AlsaInfo.txt https://bugs.launchpad.net/bugs/1259829/+attachment/3927435/+files/AlsaInfo.txt
2013-12-11 09:30:17 Ritesh Khadgaray attachment added BootDmesg.txt https://bugs.launchpad.net/bugs/1259829/+attachment/3927436/+files/BootDmesg.txt
2013-12-11 09:30:20 Ritesh Khadgaray attachment added CurrentDmesg.txt https://bugs.launchpad.net/bugs/1259829/+attachment/3927437/+files/CurrentDmesg.txt
2013-12-11 09:30:22 Ritesh Khadgaray attachment added IwConfig.txt https://bugs.launchpad.net/bugs/1259829/+attachment/3927438/+files/IwConfig.txt
2013-12-11 09:30:24 Ritesh Khadgaray attachment added Lspci.txt https://bugs.launchpad.net/bugs/1259829/+attachment/3927439/+files/Lspci.txt
2013-12-11 09:30:26 Ritesh Khadgaray attachment added Lsusb.txt https://bugs.launchpad.net/bugs/1259829/+attachment/3927440/+files/Lsusb.txt
2013-12-11 09:30:28 Ritesh Khadgaray attachment added ProcCpuinfo.txt https://bugs.launchpad.net/bugs/1259829/+attachment/3927441/+files/ProcCpuinfo.txt
2013-12-11 09:30:30 Ritesh Khadgaray attachment added ProcEnviron.txt https://bugs.launchpad.net/bugs/1259829/+attachment/3927442/+files/ProcEnviron.txt
2013-12-11 09:30:32 Ritesh Khadgaray attachment added ProcInterrupts.txt https://bugs.launchpad.net/bugs/1259829/+attachment/3927443/+files/ProcInterrupts.txt
2013-12-11 09:30:33 Ritesh Khadgaray attachment added ProcModules.txt https://bugs.launchpad.net/bugs/1259829/+attachment/3927444/+files/ProcModules.txt
2013-12-11 09:30:36 Ritesh Khadgaray attachment added PulseList.txt https://bugs.launchpad.net/bugs/1259829/+attachment/3927445/+files/PulseList.txt
2013-12-11 09:30:37 Ritesh Khadgaray attachment added RfKill.txt https://bugs.launchpad.net/bugs/1259829/+attachment/3927446/+files/RfKill.txt
2013-12-11 09:30:42 Ritesh Khadgaray attachment added UdevDb.txt https://bugs.launchpad.net/bugs/1259829/+attachment/3927447/+files/UdevDb.txt
2013-12-11 09:30:52 Ritesh Khadgaray attachment added UdevLog.txt https://bugs.launchpad.net/bugs/1259829/+attachment/3927448/+files/UdevLog.txt
2013-12-11 14:14:20 Ritesh Khadgaray linux (Ubuntu): status Incomplete New
2013-12-11 14:30:13 Brad Figg linux (Ubuntu): status New Confirmed
2013-12-11 17:08:08 Joseph Salisbury linux (Ubuntu): importance Undecided Medium
2013-12-11 17:09:06 Joseph Salisbury linux (Ubuntu): status Confirmed Incomplete
2013-12-12 16:36:34 Ritesh Khadgaray tags apport-collected staging trusty apport-collected kernel-bug-exists-upstream staging trusty
2013-12-12 16:36:46 Ritesh Khadgaray linux (Ubuntu): status Incomplete Confirmed
2013-12-17 17:37:13 Christopher M. Penalver tags apport-collected kernel-bug-exists-upstream staging trusty apport-collected kernel-bug-exists-upstream latest-bios-211 regression-potential staging trusty
2013-12-17 17:37:19 Christopher M. Penalver linux (Ubuntu): status Confirmed Incomplete
2013-12-20 11:41:16 Ritesh Khadgaray linux (Ubuntu): status Incomplete New
2013-12-20 12:01:51 Brad Figg linux (Ubuntu): status New Confirmed
2013-12-21 04:04:35 Ritesh Khadgaray description fs goes into read-only mode while build lo $ dmesg ... [ 2045.473249] virbr0: port 1(vnet0) entered forwarding state [ 2045.473283] IPv6: ADDRCONF(NETDEV_CHANGE): virbr0: link becomes ready [10660.961381] perf samples too long (2505 > 2500), lowering kernel.perf_event_max_sample_rate to 50000 [11822.935891] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629599: block 214443464: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1667681412, rec_len=45654, name_len=39 [11822.935896] Aborting journal on device dm-1-8. [11822.935998] EXT4-fs (dm-1): Remounting filesystem read-only [11822.960425] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629605: block 214443466: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2707156714, rec_len=19312, name_len=162 [11850.985003] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629557: block 214443458: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=512948573, rec_len=8858, name_len=176 [11850.985276] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629465: block 214443455: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=160939375, rec_len=26085, name_len=126 [11850.985499] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629325: block 214443451: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2322664969, rec_len=33791, name_len=132 [11850.985927] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629467: block 214443456: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=954332768, rec_len=21653, name_len=30 [11850.986409] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629074: block 214443433: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2061605548, rec_len=4984, name_len=3 [11850.986831] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628835: block 214443432: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3523041938, rec_len=53167, name_len=41 [11850.987001] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629098: block 214443436: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4225920287, rec_len=35138, name_len=75 [11850.987466] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629275: block 214443449: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=923253145, rec_len=44001, name_len=144 [11850.988115] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629270: block 214443448: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1892288796, rec_len=55247, name_len=58 [11851.042303] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629300: block 214443450: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=1809316884, rec_len=4208, name_len=195 [11851.042938] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629401: block 214443453: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4223616103, rec_len=36326, name_len=130 [11851.045745] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629406: block 214443454: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=415237227, rec_len=24702, name_len=59 [11851.125849] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629101: block 214443437: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=23292377, rec_len=28820, name_len=135 [11851.126086] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629543: block 214443457: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2624043515, rec_len=58633, name_len=250 [11851.126292] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629244: block 214443446: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=194839831, rec_len=15430, name_len=123 [11851.126529] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629345: block 214443452: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3316601052, rec_len=49124, name_len=10 [11851.126751] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629080: block 214443434: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2978861680, rec_len=55340, name_len=75 [11851.127326] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629254: block 214443447: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2927900409, rec_len=17708, name_len=67 [11851.191574] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628436: block 214443431: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3175406590, rec_len=48803, name_len=238 [11851.191832] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629561: block 214443459: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=880872205, rec_len=23750, name_len=202 [11851.192102] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629565: block 214443460: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3673769297, rec_len=36964, name_len=8 [11851.193231] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629577: block 214443462: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=164744460, rec_len=27548, name_len=230 [ritesh@x230t libreoffice-4.1.2~rc3]$ ^C [ritesh@x230t libreoffice-4.1.2~rc3]$ smartctl -a /dev/sda smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org [ritesh@x230t libreoffice-4.1.2~rc3]$ sudo smartctl -a /dev/sda sudo: unable to open /var/lib/sudo/ritesh/4: No such file or directory smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org === START OF INFORMATION SECTION === Device Model: Crucial_CT960M500SSD1 Serial Number: 1335094BE7CA LU WWN Device Id: 5 00a075 1094be7ca Firmware Version: MU03 User Capacity: 960,197,124,096 bytes [960 GB] Sector Sizes: 512 bytes logical, 4096 bytes physical Rotation Rate: Solid State Device Device is: Not in smartctl database [for details use: -P showall] ATA Version is: ACS-2, ATA8-ACS T13/1699-D revision 6 SATA Version is: SATA 3.1, 6.0 Gb/s (current: 6.0 Gb/s) Local Time is: Wed Dec 11 11:38:48 2013 IST SMART support is: Available - device has SMART capability. SMART support is: Enabled === START OF READ SMART DATA SECTION === SMART overall-health self-assessment test result: PASSED General SMART Values: Offline data collection status: (0x80) Offline data collection activity was never started. Auto Offline Data Collection: Enabled. Self-test execution status: ( 0) The previous self-test routine completed without error or no self-test has ever been run. Total time to complete Offline data collection: ( 4470) seconds. Offline data collection capabilities: (0x7b) SMART execute Offline immediate. Auto Offline data collection on/off support. Suspend Offline collection upon new command. Offline surface scan supported. Self-test supported. Conveyance Self-test supported. Selective Self-test supported. SMART capabilities: (0x0003) Saves SMART data before entering power-saving mode. Supports SMART auto save timer. Error logging capability: (0x01) Error logging supported. General Purpose Logging supported. Short self-test routine recommended polling time: ( 2) minutes. Extended self-test routine recommended polling time: ( 74) minutes. Conveyance self-test routine recommended polling time: ( 3) minutes. SCT capabilities: (0x0035) SCT Status supported. SCT Feature Control supported. SCT Data Table supported. SMART Attributes Data Structure revision number: 16 Vendor Specific SMART Attributes with Thresholds: ID# ATTRIBUTE_NAME FLAG VALUE WORST THRESH TYPE UPDATED WHEN_FAILED RAW_VALUE 1 Raw_Read_Error_Rate 0x002f 100 100 000 Pre-fail Always - 21 5 Reallocated_Sector_Ct 0x0033 100 100 000 Pre-fail Always - 0 9 Power_On_Hours 0x0032 100 100 000 Old_age Always - 287 12 Power_Cycle_Count 0x0032 100 100 000 Old_age Always - 32 171 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 172 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 173 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 1 174 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 13 180 Unused_Rsvd_Blk_Cnt_Tot 0x0033 000 000 000 Pre-fail Always - 16523 183 Runtime_Bad_Block 0x0032 100 100 000 Old_age Always - 0 184 End-to-End_Error 0x0032 100 100 000 Old_age Always - 0 187 Reported_Uncorrect 0x0032 100 100 000 Old_age Always - 0 194 Temperature_Celsius 0x0022 056 050 000 Old_age Always - 44 (Min/Max 22/50) 196 Reallocated_Event_Count 0x0032 100 100 000 Old_age Always - 16 197 Current_Pending_Sector 0x0032 100 100 000 Old_age Always - 0 198 Offline_Uncorrectable 0x0030 100 100 000 Old_age Offline - 0 199 UDMA_CRC_Error_Count 0x0032 100 100 000 Old_age Always - 0 202 Unknown_SSD_Attribute 0x0031 100 100 000 Pre-fail Offline - 0 206 Unknown_SSD_Attribute 0x000e 100 100 000 Old_age Always - 0 210 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 4 246 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 2001841864 247 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 63823477 248 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 84291328 SMART Error Log Version: 1 No Errors Logged SMART Self-test log structure revision number 1 Num Test_Description Status Remaining LifeTime(hours) LBA_of_first_error # 1 Vendor (0xff) Completed without error 00% 279 - # 2 Extended offline Completed without error 00% 273 - # 3 Vendor (0xff) Completed without error 00% 90 - # 4 Vendor (0xff) Completed without error 00% 5 - # 5 Short offline Aborted by host 00% 2 - # 6 Vendor (0xff) Completed without error 00% 2 - SMART Selective self-test log data structure revision number 1 SPAN MIN_LBA MAX_LBA CURRENT_TEST_STATUS 1 0 0 Not_testing 2 0 0 Not_testing 3 0 0 Not_testing 4 0 0 Not_testing 5 0 0 Not_testing Selective self-test flags (0x0): After scanning selected spans, do NOT read-scan remainder of disk. If Selective self-test is pending on power-up, resume after 0 minute delay. [ritesh@x230t libreoffice-4.1.2~rc3]$ uname -a Linux x230t 3.12.0-7-generic #15-Ubuntu SMP Sun Dec 8 23:39:27 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux $ mount /dev/mapper/ubuntu--vg-root on / type ext4 (rw,noatime,errors=remount-ro,discard) proc on /proc type proc (rw,noexec,nosuid,nodev) sysfs on /sys type sysfs (rw,noexec,nosuid,nodev) none on /sys/fs/cgroup type tmpfs (rw) none on /sys/fs/fuse/connections type fusectl (rw) none on /sys/kernel/debug type debugfs (rw) none on /sys/kernel/security type securityfs (rw) none on /sys/firmware/efi/efivars type efivarfs (rw) udev on /dev type devtmpfs (rw,mode=0755) devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=0620) tmpfs on /tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /run type tmpfs (rw,noexec,nosuid,size=10%,mode=0755) none on /run/lock type tmpfs (rw,noexec,nosuid,nodev,size=5242880) none on /run/shm type tmpfs (rw,nosuid,nodev) none on /run/user type tmpfs (rw,noexec,nosuid,nodev,size=104857600,mode=0755) none on /sys/fs/pstore type pstore (rw) tmpfs on /var/tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /var/log type tmpfs (rw,noatime,mode=0755) cgroup on /sys/fs/cgroup/cpuset type cgroup (rw,relatime,cpuset) cgroup on /sys/fs/cgroup/cpu type cgroup (rw,relatime,cpu) cgroup on /sys/fs/cgroup/cpuacct type cgroup (rw,relatime,cpuacct) cgroup on /sys/fs/cgroup/memory type cgroup (rw,relatime,memory) cgroup on /sys/fs/cgroup/devices type cgroup (rw,relatime,devices) cgroup on /sys/fs/cgroup/freezer type cgroup (rw,relatime,freezer) cgroup on /sys/fs/cgroup/blkio type cgroup (rw,relatime,blkio) cgroup on /sys/fs/cgroup/perf_event type cgroup (rw,relatime,perf_event) cgroup on /sys/fs/cgroup/hugetlb type cgroup (rw,relatime,hugetlb) /dev/sda2 on /boot type ext2 (rw) /dev/sda1 on /boot/efi type vfat (rw) systemd on /sys/fs/cgroup/systemd type cgroup (rw,noexec,nosuid,nodev,none,name=systemd) gvfsd-fuse on /run/user/1000/gvfs type fuse.gvfsd-fuse (rw,nosuid,nodev,user=ritesh) fsck/badblock (read only) says disk is clean. --- ApportVersion: 2.12.7-0ubuntu1 Architecture: amd64 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC1: ritesh 2141 F.... pulseaudio /dev/snd/controlC0: ritesh 2141 F.... pulseaudio CRDA: country IN: (2402 - 2482 @ 40), (N/A, 20) (5170 - 5250 @ 40), (N/A, 20) (5250 - 5330 @ 40), (N/A, 20), DFS (5735 - 5835 @ 40), (N/A, 20) CurrentDesktop: Unity DistroRelease: Ubuntu 14.04 HibernationDevice: RESUME=UUID=f9f2cec2-98f6-4f05-850a-9f60676c3299 MachineType: ASUSTeK Computer Inc. K43SA MarkForUpload: True Package: linux (not installed) ProcFB: 0 radeondrmfb ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.12.0-7-generic root=/dev/mapper/ubuntu--vg-root ro radeon.dpm=1 quiet splash ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4 RelatedPackageVersions: linux-restricted-modules-3.12.0-7-generic N/A linux-backports-modules-3.12.0-7-generic N/A linux-firmware 1.117 StagingDrivers: rts5139 Tags: trusty staging Uname: Linux 3.12.0-7-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip kvm libvirtd lpadmin plugdev sambashare sudo WifiSyslog: dmi.bios.date: 11/17/2011 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: K43SA.211 dmi.board.asset.tag: ATN12345678901234567 dmi.board.name: K43SA dmi.board.vendor: ASUSTeK Computer Inc. dmi.board.version: 1.0 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: ASUSTeK Computer Inc. dmi.chassis.version: 1.0 dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrK43SA.211:bd11/17/2011:svnASUSTeKComputerInc.:pnK43SA:pvr1.0:rvnASUSTeKComputerInc.:rnK43SA:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0: dmi.product.name: K43SA dmi.product.version: 1.0 dmi.sys.vendor: ASUSTeK Computer Inc. fs goes into read-only mode while build lo $ dmesg ... [ 2045.473249] virbr0: port 1(vnet0) entered forwarding state [ 2045.473283] IPv6: ADDRCONF(NETDEV_CHANGE): virbr0: link becomes ready [10660.961381] perf samples too long (2505 > 2500), lowering kernel.perf_event_max_sample_rate to 50000 [11822.935891] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629599: block 214443464: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1667681412, rec_len=45654, name_len=39 [11822.935896] Aborting journal on device dm-1-8. [11822.935998] EXT4-fs (dm-1): Remounting filesystem read-only [11822.960425] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629605: block 214443466: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2707156714, rec_len=19312, name_len=162 [11850.985003] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629557: block 214443458: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=512948573, rec_len=8858, name_len=176 [11850.985276] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629465: block 214443455: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=160939375, rec_len=26085, name_len=126 [11850.985499] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629325: block 214443451: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2322664969, rec_len=33791, name_len=132 [11850.985927] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629467: block 214443456: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=954332768, rec_len=21653, name_len=30 [11850.986409] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629074: block 214443433: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2061605548, rec_len=4984, name_len=3 [11850.986831] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628835: block 214443432: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3523041938, rec_len=53167, name_len=41 [11850.987001] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629098: block 214443436: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4225920287, rec_len=35138, name_len=75 [11850.987466] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629275: block 214443449: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=923253145, rec_len=44001, name_len=144 [11850.988115] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629270: block 214443448: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1892288796, rec_len=55247, name_len=58 [11851.042303] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629300: block 214443450: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=1809316884, rec_len=4208, name_len=195 [11851.042938] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629401: block 214443453: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4223616103, rec_len=36326, name_len=130 [11851.045745] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629406: block 214443454: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=415237227, rec_len=24702, name_len=59 [11851.125849] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629101: block 214443437: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=23292377, rec_len=28820, name_len=135 [11851.126086] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629543: block 214443457: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2624043515, rec_len=58633, name_len=250 [11851.126292] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629244: block 214443446: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=194839831, rec_len=15430, name_len=123 [11851.126529] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629345: block 214443452: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3316601052, rec_len=49124, name_len=10 [11851.126751] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629080: block 214443434: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2978861680, rec_len=55340, name_len=75 [11851.127326] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629254: block 214443447: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2927900409, rec_len=17708, name_len=67 [11851.191574] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628436: block 214443431: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3175406590, rec_len=48803, name_len=238 [11851.191832] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629561: block 214443459: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=880872205, rec_len=23750, name_len=202 [11851.192102] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629565: block 214443460: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3673769297, rec_len=36964, name_len=8 [11851.193231] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629577: block 214443462: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=164744460, rec_len=27548, name_len=230 [ritesh@x230t libreoffice-4.1.2~rc3]$ ^C [ritesh@x230t libreoffice-4.1.2~rc3]$ smartctl -a /dev/sda smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org [ritesh@x230t libreoffice-4.1.2~rc3]$ sudo smartctl -a /dev/sda sudo: unable to open /var/lib/sudo/ritesh/4: No such file or directory smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org === START OF INFORMATION SECTION === Device Model: Crucial_CT960M500SSD1 Serial Number: 1335094BE7CA LU WWN Device Id: 5 00a075 1094be7ca Firmware Version: MU03 User Capacity: 960,197,124,096 bytes [960 GB] Sector Sizes: 512 bytes logical, 4096 bytes physical Rotation Rate: Solid State Device Device is: Not in smartctl database [for details use: -P showall] ATA Version is: ACS-2, ATA8-ACS T13/1699-D revision 6 SATA Version is: SATA 3.1, 6.0 Gb/s (current: 6.0 Gb/s) Local Time is: Wed Dec 11 11:38:48 2013 IST SMART support is: Available - device has SMART capability. SMART support is: Enabled === START OF READ SMART DATA SECTION === SMART overall-health self-assessment test result: PASSED General SMART Values: Offline data collection status: (0x80) Offline data collection activity was never started. Auto Offline Data Collection: Enabled. Self-test execution status: ( 0) The previous self-test routine completed without error or no self-test has ever been run. Total time to complete Offline data collection: ( 4470) seconds. Offline data collection capabilities: (0x7b) SMART execute Offline immediate. Auto Offline data collection on/off support. Suspend Offline collection upon new command. Offline surface scan supported. Self-test supported. Conveyance Self-test supported. Selective Self-test supported. SMART capabilities: (0x0003) Saves SMART data before entering power-saving mode. Supports SMART auto save timer. Error logging capability: (0x01) Error logging supported. General Purpose Logging supported. Short self-test routine recommended polling time: ( 2) minutes. Extended self-test routine recommended polling time: ( 74) minutes. Conveyance self-test routine recommended polling time: ( 3) minutes. SCT capabilities: (0x0035) SCT Status supported. SCT Feature Control supported. SCT Data Table supported. SMART Attributes Data Structure revision number: 16 Vendor Specific SMART Attributes with Thresholds: ID# ATTRIBUTE_NAME FLAG VALUE WORST THRESH TYPE UPDATED WHEN_FAILED RAW_VALUE 1 Raw_Read_Error_Rate 0x002f 100 100 000 Pre-fail Always - 21 5 Reallocated_Sector_Ct 0x0033 100 100 000 Pre-fail Always - 0 9 Power_On_Hours 0x0032 100 100 000 Old_age Always - 287 12 Power_Cycle_Count 0x0032 100 100 000 Old_age Always - 32 171 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 172 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 173 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 1 174 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 13 180 Unused_Rsvd_Blk_Cnt_Tot 0x0033 000 000 000 Pre-fail Always - 16523 183 Runtime_Bad_Block 0x0032 100 100 000 Old_age Always - 0 184 End-to-End_Error 0x0032 100 100 000 Old_age Always - 0 187 Reported_Uncorrect 0x0032 100 100 000 Old_age Always - 0 194 Temperature_Celsius 0x0022 056 050 000 Old_age Always - 44 (Min/Max 22/50) 196 Reallocated_Event_Count 0x0032 100 100 000 Old_age Always - 16 197 Current_Pending_Sector 0x0032 100 100 000 Old_age Always - 0 198 Offline_Uncorrectable 0x0030 100 100 000 Old_age Offline - 0 199 UDMA_CRC_Error_Count 0x0032 100 100 000 Old_age Always - 0 202 Unknown_SSD_Attribute 0x0031 100 100 000 Pre-fail Offline - 0 206 Unknown_SSD_Attribute 0x000e 100 100 000 Old_age Always - 0 210 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 4 246 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 2001841864 247 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 63823477 248 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 84291328 SMART Error Log Version: 1 No Errors Logged SMART Self-test log structure revision number 1 Num Test_Description Status Remaining LifeTime(hours) LBA_of_first_error # 1 Vendor (0xff) Completed without error 00% 279 - # 2 Extended offline Completed without error 00% 273 - # 3 Vendor (0xff) Completed without error 00% 90 - # 4 Vendor (0xff) Completed without error 00% 5 - # 5 Short offline Aborted by host 00% 2 - # 6 Vendor (0xff) Completed without error 00% 2 - SMART Selective self-test log data structure revision number 1 SPAN MIN_LBA MAX_LBA CURRENT_TEST_STATUS 1 0 0 Not_testing 2 0 0 Not_testing 3 0 0 Not_testing 4 0 0 Not_testing 5 0 0 Not_testing Selective self-test flags (0x0): After scanning selected spans, do NOT read-scan remainder of disk. If Selective self-test is pending on power-up, resume after 0 minute delay. [ritesh@x230t libreoffice-4.1.2~rc3]$ uname -a Linux x230t 3.12.0-7-generic #15-Ubuntu SMP Sun Dec 8 23:39:27 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux $ mount /dev/mapper/ubuntu--vg-root on / type ext4 (rw,noatime,errors=remount-ro,discard) proc on /proc type proc (rw,noexec,nosuid,nodev) sysfs on /sys type sysfs (rw,noexec,nosuid,nodev) none on /sys/fs/cgroup type tmpfs (rw) none on /sys/fs/fuse/connections type fusectl (rw) none on /sys/kernel/debug type debugfs (rw) none on /sys/kernel/security type securityfs (rw) none on /sys/firmware/efi/efivars type efivarfs (rw) udev on /dev type devtmpfs (rw,mode=0755) devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=0620) tmpfs on /tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /run type tmpfs (rw,noexec,nosuid,size=10%,mode=0755) none on /run/lock type tmpfs (rw,noexec,nosuid,nodev,size=5242880) none on /run/shm type tmpfs (rw,nosuid,nodev) none on /run/user type tmpfs (rw,noexec,nosuid,nodev,size=104857600,mode=0755) none on /sys/fs/pstore type pstore (rw) tmpfs on /var/tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /var/log type tmpfs (rw,noatime,mode=0755) cgroup on /sys/fs/cgroup/cpuset type cgroup (rw,relatime,cpuset) cgroup on /sys/fs/cgroup/cpu type cgroup (rw,relatime,cpu) cgroup on /sys/fs/cgroup/cpuacct type cgroup (rw,relatime,cpuacct) cgroup on /sys/fs/cgroup/memory type cgroup (rw,relatime,memory) cgroup on /sys/fs/cgroup/devices type cgroup (rw,relatime,devices) cgroup on /sys/fs/cgroup/freezer type cgroup (rw,relatime,freezer) cgroup on /sys/fs/cgroup/blkio type cgroup (rw,relatime,blkio) cgroup on /sys/fs/cgroup/perf_event type cgroup (rw,relatime,perf_event) cgroup on /sys/fs/cgroup/hugetlb type cgroup (rw,relatime,hugetlb) /dev/sda2 on /boot type ext2 (rw) /dev/sda1 on /boot/efi type vfat (rw) systemd on /sys/fs/cgroup/systemd type cgroup (rw,noexec,nosuid,nodev,none,name=systemd) gvfsd-fuse on /run/user/1000/gvfs type fuse.gvfsd-fuse (rw,nosuid,nodev,user=ritesh) fsck/badblock (read only) says disk is clean. --- ApportVersion: 2.12.7-0ubuntu1 Architecture: amd64 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC1: ritesh 2141 F.... pulseaudio /dev/snd/controlC0: ritesh 2141 F.... pulseaudio CRDA: country IN: (2402 - 2482 @ 40), (N/A, 20) (5170 - 5250 @ 40), (N/A, 20) (5250 - 5330 @ 40), (N/A, 20), DFS (5735 - 5835 @ 40), (N/A, 20) CurrentDesktop: Unity DistroRelease: Ubuntu 14.04 HibernationDevice: RESUME=UUID=f9f2cec2-98f6-4f05-850a-9f60676c3299 MachineType: ASUSTeK Computer Inc. K43SA MarkForUpload: True Package: linux (not installed) ProcFB: 0 radeondrmfb ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.12.0-7-generic root=/dev/mapper/ubuntu--vg-root ro radeon.dpm=1 quiet splash ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4 RelatedPackageVersions: linux-restricted-modules-3.12.0-7-generic N/A linux-backports-modules-3.12.0-7-generic N/A linux-firmware 1.117 StagingDrivers: rts5139 Tags: trusty staging Uname: Linux 3.12.0-7-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip kvm libvirtd lpadmin plugdev sambashare sudo WifiSyslog: dmi.bios.date: 11/17/2011 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: K43SA.211 dmi.board.asset.tag: ATN12345678901234567 dmi.board.name: K43SA dmi.board.vendor: ASUSTeK Computer Inc. dmi.board.version: 1.0 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: ASUSTeK Computer Inc. dmi.chassis.version: 1.0 dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrK43SA.211:bd11/17/2011:svnASUSTeKComputerInc.:pnK43SA:pvr1.0:rvnASUSTeKComputerInc.:rnK43SA:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0: dmi.product.name: K43SA dmi.product.version: 1.0 dmi.sys.vendor: ASUSTeK Computer Inc. --- ApportVersion: 2.12.7-0ubuntu3 Architecture: amd64 CurrentDesktop: Unity DistroRelease: Ubuntu 14.04 InstallationDate: Installed on 2013-12-19 (1 days ago) InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20131021.1) MarkForUpload: True Package: linux (not installed) Tags: trusty Uname: Linux 3.13.0-999-generic x86_64 UnreportableReason: The running kernel is not an Ubuntu kernel UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
2013-12-21 04:04:36 Ritesh Khadgaray attachment added ProcEnviron.txt https://bugs.launchpad.net/bugs/1259829/+attachment/3933594/+files/ProcEnviron.txt
2013-12-21 10:59:11 Christopher M. Penalver tags apport-collected kernel-bug-exists-upstream latest-bios-211 regression-potential staging trusty apport-collected kernel-bug-exists-upstream-v3.13-rc3 latest-bios-211 regression-potential staging trusty
2013-12-21 11:31:33 Christopher M. Penalver description fs goes into read-only mode while build lo $ dmesg ... [ 2045.473249] virbr0: port 1(vnet0) entered forwarding state [ 2045.473283] IPv6: ADDRCONF(NETDEV_CHANGE): virbr0: link becomes ready [10660.961381] perf samples too long (2505 > 2500), lowering kernel.perf_event_max_sample_rate to 50000 [11822.935891] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629599: block 214443464: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1667681412, rec_len=45654, name_len=39 [11822.935896] Aborting journal on device dm-1-8. [11822.935998] EXT4-fs (dm-1): Remounting filesystem read-only [11822.960425] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629605: block 214443466: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2707156714, rec_len=19312, name_len=162 [11850.985003] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629557: block 214443458: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=512948573, rec_len=8858, name_len=176 [11850.985276] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629465: block 214443455: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=160939375, rec_len=26085, name_len=126 [11850.985499] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629325: block 214443451: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2322664969, rec_len=33791, name_len=132 [11850.985927] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629467: block 214443456: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=954332768, rec_len=21653, name_len=30 [11850.986409] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629074: block 214443433: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2061605548, rec_len=4984, name_len=3 [11850.986831] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628835: block 214443432: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3523041938, rec_len=53167, name_len=41 [11850.987001] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629098: block 214443436: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4225920287, rec_len=35138, name_len=75 [11850.987466] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629275: block 214443449: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=923253145, rec_len=44001, name_len=144 [11850.988115] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629270: block 214443448: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1892288796, rec_len=55247, name_len=58 [11851.042303] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629300: block 214443450: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=1809316884, rec_len=4208, name_len=195 [11851.042938] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629401: block 214443453: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4223616103, rec_len=36326, name_len=130 [11851.045745] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629406: block 214443454: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=415237227, rec_len=24702, name_len=59 [11851.125849] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629101: block 214443437: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=23292377, rec_len=28820, name_len=135 [11851.126086] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629543: block 214443457: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2624043515, rec_len=58633, name_len=250 [11851.126292] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629244: block 214443446: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=194839831, rec_len=15430, name_len=123 [11851.126529] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629345: block 214443452: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3316601052, rec_len=49124, name_len=10 [11851.126751] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629080: block 214443434: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2978861680, rec_len=55340, name_len=75 [11851.127326] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629254: block 214443447: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2927900409, rec_len=17708, name_len=67 [11851.191574] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628436: block 214443431: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3175406590, rec_len=48803, name_len=238 [11851.191832] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629561: block 214443459: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=880872205, rec_len=23750, name_len=202 [11851.192102] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629565: block 214443460: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3673769297, rec_len=36964, name_len=8 [11851.193231] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629577: block 214443462: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=164744460, rec_len=27548, name_len=230 [ritesh@x230t libreoffice-4.1.2~rc3]$ ^C [ritesh@x230t libreoffice-4.1.2~rc3]$ smartctl -a /dev/sda smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org [ritesh@x230t libreoffice-4.1.2~rc3]$ sudo smartctl -a /dev/sda sudo: unable to open /var/lib/sudo/ritesh/4: No such file or directory smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org === START OF INFORMATION SECTION === Device Model: Crucial_CT960M500SSD1 Serial Number: 1335094BE7CA LU WWN Device Id: 5 00a075 1094be7ca Firmware Version: MU03 User Capacity: 960,197,124,096 bytes [960 GB] Sector Sizes: 512 bytes logical, 4096 bytes physical Rotation Rate: Solid State Device Device is: Not in smartctl database [for details use: -P showall] ATA Version is: ACS-2, ATA8-ACS T13/1699-D revision 6 SATA Version is: SATA 3.1, 6.0 Gb/s (current: 6.0 Gb/s) Local Time is: Wed Dec 11 11:38:48 2013 IST SMART support is: Available - device has SMART capability. SMART support is: Enabled === START OF READ SMART DATA SECTION === SMART overall-health self-assessment test result: PASSED General SMART Values: Offline data collection status: (0x80) Offline data collection activity was never started. Auto Offline Data Collection: Enabled. Self-test execution status: ( 0) The previous self-test routine completed without error or no self-test has ever been run. Total time to complete Offline data collection: ( 4470) seconds. Offline data collection capabilities: (0x7b) SMART execute Offline immediate. Auto Offline data collection on/off support. Suspend Offline collection upon new command. Offline surface scan supported. Self-test supported. Conveyance Self-test supported. Selective Self-test supported. SMART capabilities: (0x0003) Saves SMART data before entering power-saving mode. Supports SMART auto save timer. Error logging capability: (0x01) Error logging supported. General Purpose Logging supported. Short self-test routine recommended polling time: ( 2) minutes. Extended self-test routine recommended polling time: ( 74) minutes. Conveyance self-test routine recommended polling time: ( 3) minutes. SCT capabilities: (0x0035) SCT Status supported. SCT Feature Control supported. SCT Data Table supported. SMART Attributes Data Structure revision number: 16 Vendor Specific SMART Attributes with Thresholds: ID# ATTRIBUTE_NAME FLAG VALUE WORST THRESH TYPE UPDATED WHEN_FAILED RAW_VALUE 1 Raw_Read_Error_Rate 0x002f 100 100 000 Pre-fail Always - 21 5 Reallocated_Sector_Ct 0x0033 100 100 000 Pre-fail Always - 0 9 Power_On_Hours 0x0032 100 100 000 Old_age Always - 287 12 Power_Cycle_Count 0x0032 100 100 000 Old_age Always - 32 171 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 172 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 173 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 1 174 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 13 180 Unused_Rsvd_Blk_Cnt_Tot 0x0033 000 000 000 Pre-fail Always - 16523 183 Runtime_Bad_Block 0x0032 100 100 000 Old_age Always - 0 184 End-to-End_Error 0x0032 100 100 000 Old_age Always - 0 187 Reported_Uncorrect 0x0032 100 100 000 Old_age Always - 0 194 Temperature_Celsius 0x0022 056 050 000 Old_age Always - 44 (Min/Max 22/50) 196 Reallocated_Event_Count 0x0032 100 100 000 Old_age Always - 16 197 Current_Pending_Sector 0x0032 100 100 000 Old_age Always - 0 198 Offline_Uncorrectable 0x0030 100 100 000 Old_age Offline - 0 199 UDMA_CRC_Error_Count 0x0032 100 100 000 Old_age Always - 0 202 Unknown_SSD_Attribute 0x0031 100 100 000 Pre-fail Offline - 0 206 Unknown_SSD_Attribute 0x000e 100 100 000 Old_age Always - 0 210 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 4 246 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 2001841864 247 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 63823477 248 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 84291328 SMART Error Log Version: 1 No Errors Logged SMART Self-test log structure revision number 1 Num Test_Description Status Remaining LifeTime(hours) LBA_of_first_error # 1 Vendor (0xff) Completed without error 00% 279 - # 2 Extended offline Completed without error 00% 273 - # 3 Vendor (0xff) Completed without error 00% 90 - # 4 Vendor (0xff) Completed without error 00% 5 - # 5 Short offline Aborted by host 00% 2 - # 6 Vendor (0xff) Completed without error 00% 2 - SMART Selective self-test log data structure revision number 1 SPAN MIN_LBA MAX_LBA CURRENT_TEST_STATUS 1 0 0 Not_testing 2 0 0 Not_testing 3 0 0 Not_testing 4 0 0 Not_testing 5 0 0 Not_testing Selective self-test flags (0x0): After scanning selected spans, do NOT read-scan remainder of disk. If Selective self-test is pending on power-up, resume after 0 minute delay. [ritesh@x230t libreoffice-4.1.2~rc3]$ uname -a Linux x230t 3.12.0-7-generic #15-Ubuntu SMP Sun Dec 8 23:39:27 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux $ mount /dev/mapper/ubuntu--vg-root on / type ext4 (rw,noatime,errors=remount-ro,discard) proc on /proc type proc (rw,noexec,nosuid,nodev) sysfs on /sys type sysfs (rw,noexec,nosuid,nodev) none on /sys/fs/cgroup type tmpfs (rw) none on /sys/fs/fuse/connections type fusectl (rw) none on /sys/kernel/debug type debugfs (rw) none on /sys/kernel/security type securityfs (rw) none on /sys/firmware/efi/efivars type efivarfs (rw) udev on /dev type devtmpfs (rw,mode=0755) devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=0620) tmpfs on /tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /run type tmpfs (rw,noexec,nosuid,size=10%,mode=0755) none on /run/lock type tmpfs (rw,noexec,nosuid,nodev,size=5242880) none on /run/shm type tmpfs (rw,nosuid,nodev) none on /run/user type tmpfs (rw,noexec,nosuid,nodev,size=104857600,mode=0755) none on /sys/fs/pstore type pstore (rw) tmpfs on /var/tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /var/log type tmpfs (rw,noatime,mode=0755) cgroup on /sys/fs/cgroup/cpuset type cgroup (rw,relatime,cpuset) cgroup on /sys/fs/cgroup/cpu type cgroup (rw,relatime,cpu) cgroup on /sys/fs/cgroup/cpuacct type cgroup (rw,relatime,cpuacct) cgroup on /sys/fs/cgroup/memory type cgroup (rw,relatime,memory) cgroup on /sys/fs/cgroup/devices type cgroup (rw,relatime,devices) cgroup on /sys/fs/cgroup/freezer type cgroup (rw,relatime,freezer) cgroup on /sys/fs/cgroup/blkio type cgroup (rw,relatime,blkio) cgroup on /sys/fs/cgroup/perf_event type cgroup (rw,relatime,perf_event) cgroup on /sys/fs/cgroup/hugetlb type cgroup (rw,relatime,hugetlb) /dev/sda2 on /boot type ext2 (rw) /dev/sda1 on /boot/efi type vfat (rw) systemd on /sys/fs/cgroup/systemd type cgroup (rw,noexec,nosuid,nodev,none,name=systemd) gvfsd-fuse on /run/user/1000/gvfs type fuse.gvfsd-fuse (rw,nosuid,nodev,user=ritesh) fsck/badblock (read only) says disk is clean. --- ApportVersion: 2.12.7-0ubuntu1 Architecture: amd64 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC1: ritesh 2141 F.... pulseaudio /dev/snd/controlC0: ritesh 2141 F.... pulseaudio CRDA: country IN: (2402 - 2482 @ 40), (N/A, 20) (5170 - 5250 @ 40), (N/A, 20) (5250 - 5330 @ 40), (N/A, 20), DFS (5735 - 5835 @ 40), (N/A, 20) CurrentDesktop: Unity DistroRelease: Ubuntu 14.04 HibernationDevice: RESUME=UUID=f9f2cec2-98f6-4f05-850a-9f60676c3299 MachineType: ASUSTeK Computer Inc. K43SA MarkForUpload: True Package: linux (not installed) ProcFB: 0 radeondrmfb ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.12.0-7-generic root=/dev/mapper/ubuntu--vg-root ro radeon.dpm=1 quiet splash ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4 RelatedPackageVersions: linux-restricted-modules-3.12.0-7-generic N/A linux-backports-modules-3.12.0-7-generic N/A linux-firmware 1.117 StagingDrivers: rts5139 Tags: trusty staging Uname: Linux 3.12.0-7-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip kvm libvirtd lpadmin plugdev sambashare sudo WifiSyslog: dmi.bios.date: 11/17/2011 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: K43SA.211 dmi.board.asset.tag: ATN12345678901234567 dmi.board.name: K43SA dmi.board.vendor: ASUSTeK Computer Inc. dmi.board.version: 1.0 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: ASUSTeK Computer Inc. dmi.chassis.version: 1.0 dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrK43SA.211:bd11/17/2011:svnASUSTeKComputerInc.:pnK43SA:pvr1.0:rvnASUSTeKComputerInc.:rnK43SA:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0: dmi.product.name: K43SA dmi.product.version: 1.0 dmi.sys.vendor: ASUSTeK Computer Inc. --- ApportVersion: 2.12.7-0ubuntu3 Architecture: amd64 CurrentDesktop: Unity DistroRelease: Ubuntu 14.04 InstallationDate: Installed on 2013-12-19 (1 days ago) InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20131021.1) MarkForUpload: True Package: linux (not installed) Tags: trusty Uname: Linux 3.13.0-999-generic x86_64 UnreportableReason: The running kernel is not an Ubuntu kernel UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo fs goes into read-only mode while building LibreOffice. I dont see these error message with 3.12 kernel, or if I boot with ncq disabled. $ dmesg ... [ 2045.473249] virbr0: port 1(vnet0) entered forwarding state [ 2045.473283] IPv6: ADDRCONF(NETDEV_CHANGE): virbr0: link becomes ready [10660.961381] perf samples too long (2505 > 2500), lowering kernel.perf_event_max_sample_rate to 50000 [11822.935891] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629599: block 214443464: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1667681412, rec_len=45654, name_len=39 [11822.935896] Aborting journal on device dm-1-8. [11822.935998] EXT4-fs (dm-1): Remounting filesystem read-only [11822.960425] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629605: block 214443466: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2707156714, rec_len=19312, name_len=162 [11850.985003] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629557: block 214443458: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=512948573, rec_len=8858, name_len=176 [11850.985276] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629465: block 214443455: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=160939375, rec_len=26085, name_len=126 [11850.985499] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629325: block 214443451: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2322664969, rec_len=33791, name_len=132 [11850.985927] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629467: block 214443456: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=954332768, rec_len=21653, name_len=30 [11850.986409] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629074: block 214443433: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2061605548, rec_len=4984, name_len=3 [11850.986831] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628835: block 214443432: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3523041938, rec_len=53167, name_len=41 [11850.987001] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629098: block 214443436: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4225920287, rec_len=35138, name_len=75 [11850.987466] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629275: block 214443449: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=923253145, rec_len=44001, name_len=144 [11850.988115] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629270: block 214443448: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1892288796, rec_len=55247, name_len=58 [11851.042303] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629300: block 214443450: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=1809316884, rec_len=4208, name_len=195 [11851.042938] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629401: block 214443453: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4223616103, rec_len=36326, name_len=130 [11851.045745] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629406: block 214443454: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=415237227, rec_len=24702, name_len=59 [11851.125849] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629101: block 214443437: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=23292377, rec_len=28820, name_len=135 [11851.126086] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629543: block 214443457: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2624043515, rec_len=58633, name_len=250 [11851.126292] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629244: block 214443446: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=194839831, rec_len=15430, name_len=123 [11851.126529] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629345: block 214443452: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3316601052, rec_len=49124, name_len=10 [11851.126751] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629080: block 214443434: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2978861680, rec_len=55340, name_len=75 [11851.127326] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629254: block 214443447: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2927900409, rec_len=17708, name_len=67 [11851.191574] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628436: block 214443431: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3175406590, rec_len=48803, name_len=238 [11851.191832] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629561: block 214443459: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=880872205, rec_len=23750, name_len=202 [11851.192102] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629565: block 214443460: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3673769297, rec_len=36964, name_len=8 [11851.193231] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629577: block 214443462: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=164744460, rec_len=27548, name_len=230 [ritesh@x230t libreoffice-4.1.2~rc3]$ ^C [ritesh@x230t libreoffice-4.1.2~rc3]$ smartctl -a /dev/sda smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org [ritesh@x230t libreoffice-4.1.2~rc3]$ sudo smartctl -a /dev/sda sudo: unable to open /var/lib/sudo/ritesh/4: No such file or directory smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org === START OF INFORMATION SECTION === Device Model: Crucial_CT960M500SSD1 Serial Number: 1335094BE7CA LU WWN Device Id: 5 00a075 1094be7ca Firmware Version: MU03 User Capacity: 960,197,124,096 bytes [960 GB] Sector Sizes: 512 bytes logical, 4096 bytes physical Rotation Rate: Solid State Device Device is: Not in smartctl database [for details use: -P showall] ATA Version is: ACS-2, ATA8-ACS T13/1699-D revision 6 SATA Version is: SATA 3.1, 6.0 Gb/s (current: 6.0 Gb/s) Local Time is: Wed Dec 11 11:38:48 2013 IST SMART support is: Available - device has SMART capability. SMART support is: Enabled === START OF READ SMART DATA SECTION === SMART overall-health self-assessment test result: PASSED General SMART Values: Offline data collection status: (0x80) Offline data collection activity      was never started.      Auto Offline Data Collection: Enabled. Self-test execution status: ( 0) The previous self-test routine completed      without error or no self-test has ever      been run. Total time to complete Offline data collection: ( 4470) seconds. Offline data collection capabilities: (0x7b) SMART execute Offline immediate.      Auto Offline data collection on/off support.      Suspend Offline collection upon new      command.      Offline surface scan supported.      Self-test supported.      Conveyance Self-test supported.      Selective Self-test supported. SMART capabilities: (0x0003) Saves SMART data before entering      power-saving mode.      Supports SMART auto save timer. Error logging capability: (0x01) Error logging supported.      General Purpose Logging supported. Short self-test routine recommended polling time: ( 2) minutes. Extended self-test routine recommended polling time: ( 74) minutes. Conveyance self-test routine recommended polling time: ( 3) minutes. SCT capabilities: (0x0035) SCT Status supported.      SCT Feature Control supported.      SCT Data Table supported. SMART Attributes Data Structure revision number: 16 Vendor Specific SMART Attributes with Thresholds: ID# ATTRIBUTE_NAME FLAG VALUE WORST THRESH TYPE UPDATED WHEN_FAILED RAW_VALUE   1 Raw_Read_Error_Rate 0x002f 100 100 000 Pre-fail Always - 21   5 Reallocated_Sector_Ct 0x0033 100 100 000 Pre-fail Always - 0   9 Power_On_Hours 0x0032 100 100 000 Old_age Always - 287  12 Power_Cycle_Count 0x0032 100 100 000 Old_age Always - 32 171 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 172 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 173 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 1 174 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 13 180 Unused_Rsvd_Blk_Cnt_Tot 0x0033 000 000 000 Pre-fail Always - 16523 183 Runtime_Bad_Block 0x0032 100 100 000 Old_age Always - 0 184 End-to-End_Error 0x0032 100 100 000 Old_age Always - 0 187 Reported_Uncorrect 0x0032 100 100 000 Old_age Always - 0 194 Temperature_Celsius 0x0022 056 050 000 Old_age Always - 44 (Min/Max 22/50) 196 Reallocated_Event_Count 0x0032 100 100 000 Old_age Always - 16 197 Current_Pending_Sector 0x0032 100 100 000 Old_age Always - 0 198 Offline_Uncorrectable 0x0030 100 100 000 Old_age Offline - 0 199 UDMA_CRC_Error_Count 0x0032 100 100 000 Old_age Always - 0 202 Unknown_SSD_Attribute 0x0031 100 100 000 Pre-fail Offline - 0 206 Unknown_SSD_Attribute 0x000e 100 100 000 Old_age Always - 0 210 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 4 246 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 2001841864 247 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 63823477 248 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 84291328 SMART Error Log Version: 1 No Errors Logged SMART Self-test log structure revision number 1 Num Test_Description Status Remaining LifeTime(hours) LBA_of_first_error # 1 Vendor (0xff) Completed without error 00% 279 - # 2 Extended offline Completed without error 00% 273 - # 3 Vendor (0xff) Completed without error 00% 90 - # 4 Vendor (0xff) Completed without error 00% 5 - # 5 Short offline Aborted by host 00% 2 - # 6 Vendor (0xff) Completed without error 00% 2 - SMART Selective self-test log data structure revision number 1  SPAN MIN_LBA MAX_LBA CURRENT_TEST_STATUS     1 0 0 Not_testing     2 0 0 Not_testing     3 0 0 Not_testing     4 0 0 Not_testing     5 0 0 Not_testing Selective self-test flags (0x0):   After scanning selected spans, do NOT read-scan remainder of disk. If Selective self-test is pending on power-up, resume after 0 minute delay. [ritesh@x230t libreoffice-4.1.2~rc3]$ uname -a Linux x230t 3.12.0-7-generic #15-Ubuntu SMP Sun Dec 8 23:39:27 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux $ mount /dev/mapper/ubuntu--vg-root on / type ext4 (rw,noatime,errors=remount-ro,discard) proc on /proc type proc (rw,noexec,nosuid,nodev) sysfs on /sys type sysfs (rw,noexec,nosuid,nodev) none on /sys/fs/cgroup type tmpfs (rw) none on /sys/fs/fuse/connections type fusectl (rw) none on /sys/kernel/debug type debugfs (rw) none on /sys/kernel/security type securityfs (rw) none on /sys/firmware/efi/efivars type efivarfs (rw) udev on /dev type devtmpfs (rw,mode=0755) devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=0620) tmpfs on /tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /run type tmpfs (rw,noexec,nosuid,size=10%,mode=0755) none on /run/lock type tmpfs (rw,noexec,nosuid,nodev,size=5242880) none on /run/shm type tmpfs (rw,nosuid,nodev) none on /run/user type tmpfs (rw,noexec,nosuid,nodev,size=104857600,mode=0755) none on /sys/fs/pstore type pstore (rw) tmpfs on /var/tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /var/log type tmpfs (rw,noatime,mode=0755) cgroup on /sys/fs/cgroup/cpuset type cgroup (rw,relatime,cpuset) cgroup on /sys/fs/cgroup/cpu type cgroup (rw,relatime,cpu) cgroup on /sys/fs/cgroup/cpuacct type cgroup (rw,relatime,cpuacct) cgroup on /sys/fs/cgroup/memory type cgroup (rw,relatime,memory) cgroup on /sys/fs/cgroup/devices type cgroup (rw,relatime,devices) cgroup on /sys/fs/cgroup/freezer type cgroup (rw,relatime,freezer) cgroup on /sys/fs/cgroup/blkio type cgroup (rw,relatime,blkio) cgroup on /sys/fs/cgroup/perf_event type cgroup (rw,relatime,perf_event) cgroup on /sys/fs/cgroup/hugetlb type cgroup (rw,relatime,hugetlb) /dev/sda2 on /boot type ext2 (rw) /dev/sda1 on /boot/efi type vfat (rw) systemd on /sys/fs/cgroup/systemd type cgroup (rw,noexec,nosuid,nodev,none,name=systemd) gvfsd-fuse on /run/user/1000/gvfs type fuse.gvfsd-fuse (rw,nosuid,nodev,user=ritesh) fsck/badblock (read only) says disk is clean. --- ApportVersion: 2.12.7-0ubuntu1 Architecture: amd64 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC1: ritesh 2141 F.... pulseaudio  /dev/snd/controlC0: ritesh 2141 F.... pulseaudio CRDA:  country IN:   (2402 - 2482 @ 40), (N/A, 20)   (5170 - 5250 @ 40), (N/A, 20)   (5250 - 5330 @ 40), (N/A, 20), DFS   (5735 - 5835 @ 40), (N/A, 20) CurrentDesktop: Unity DistroRelease: Ubuntu 14.04 HibernationDevice: RESUME=UUID=f9f2cec2-98f6-4f05-850a-9f60676c3299 MachineType: ASUSTeK Computer Inc. K43SA MarkForUpload: True Package: linux (not installed) ProcFB: 0 radeondrmfb ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.12.0-7-generic root=/dev/mapper/ubuntu--vg-root ro radeon.dpm=1 quiet splash ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4 RelatedPackageVersions:  linux-restricted-modules-3.12.0-7-generic N/A  linux-backports-modules-3.12.0-7-generic N/A  linux-firmware 1.117 StagingDrivers: rts5139 Tags: trusty staging Uname: Linux 3.12.0-7-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip kvm libvirtd lpadmin plugdev sambashare sudo WifiSyslog: dmi.bios.date: 11/17/2011 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: K43SA.211 dmi.board.asset.tag: ATN12345678901234567 dmi.board.name: K43SA dmi.board.vendor: ASUSTeK Computer Inc. dmi.board.version: 1.0 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: ASUSTeK Computer Inc. dmi.chassis.version: 1.0 dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrK43SA.211:bd11/17/2011:svnASUSTeKComputerInc.:pnK43SA:pvr1.0:rvnASUSTeKComputerInc.:rnK43SA:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0: dmi.product.name: K43SA dmi.product.version: 1.0 dmi.sys.vendor: ASUSTeK Computer Inc. --- ApportVersion: 2.12.7-0ubuntu3 Architecture: amd64 CurrentDesktop: Unity DistroRelease: Ubuntu 14.04 InstallationDate: Installed on 2013-12-19 (1 days ago) InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20131021.1) MarkForUpload: True Package: linux (not installed) Tags: trusty Uname: Linux 3.13.0-999-generic x86_64 UnreportableReason: The running kernel is not an Ubuntu kernel UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
2013-12-22 10:22:53 Ritesh Khadgaray attachment added dmesg https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1259829/+attachment/3934148/+files/dmesg
2013-12-22 15:59:53 Christopher M. Penalver linux (Ubuntu): status Confirmed Incomplete
2013-12-24 17:49:55 Ritesh Khadgaray linux (Ubuntu): status Incomplete Confirmed
2013-12-24 18:07:52 Christopher M. Penalver description fs goes into read-only mode while building LibreOffice. I dont see these error message with 3.12 kernel, or if I boot with ncq disabled. $ dmesg ... [ 2045.473249] virbr0: port 1(vnet0) entered forwarding state [ 2045.473283] IPv6: ADDRCONF(NETDEV_CHANGE): virbr0: link becomes ready [10660.961381] perf samples too long (2505 > 2500), lowering kernel.perf_event_max_sample_rate to 50000 [11822.935891] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629599: block 214443464: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1667681412, rec_len=45654, name_len=39 [11822.935896] Aborting journal on device dm-1-8. [11822.935998] EXT4-fs (dm-1): Remounting filesystem read-only [11822.960425] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629605: block 214443466: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2707156714, rec_len=19312, name_len=162 [11850.985003] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629557: block 214443458: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=512948573, rec_len=8858, name_len=176 [11850.985276] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629465: block 214443455: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=160939375, rec_len=26085, name_len=126 [11850.985499] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629325: block 214443451: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2322664969, rec_len=33791, name_len=132 [11850.985927] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629467: block 214443456: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=954332768, rec_len=21653, name_len=30 [11850.986409] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629074: block 214443433: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2061605548, rec_len=4984, name_len=3 [11850.986831] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628835: block 214443432: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3523041938, rec_len=53167, name_len=41 [11850.987001] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629098: block 214443436: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4225920287, rec_len=35138, name_len=75 [11850.987466] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629275: block 214443449: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=923253145, rec_len=44001, name_len=144 [11850.988115] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629270: block 214443448: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1892288796, rec_len=55247, name_len=58 [11851.042303] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629300: block 214443450: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=1809316884, rec_len=4208, name_len=195 [11851.042938] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629401: block 214443453: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4223616103, rec_len=36326, name_len=130 [11851.045745] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629406: block 214443454: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=415237227, rec_len=24702, name_len=59 [11851.125849] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629101: block 214443437: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=23292377, rec_len=28820, name_len=135 [11851.126086] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629543: block 214443457: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2624043515, rec_len=58633, name_len=250 [11851.126292] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629244: block 214443446: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=194839831, rec_len=15430, name_len=123 [11851.126529] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629345: block 214443452: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3316601052, rec_len=49124, name_len=10 [11851.126751] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629080: block 214443434: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2978861680, rec_len=55340, name_len=75 [11851.127326] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629254: block 214443447: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2927900409, rec_len=17708, name_len=67 [11851.191574] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628436: block 214443431: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3175406590, rec_len=48803, name_len=238 [11851.191832] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629561: block 214443459: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=880872205, rec_len=23750, name_len=202 [11851.192102] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629565: block 214443460: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3673769297, rec_len=36964, name_len=8 [11851.193231] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629577: block 214443462: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=164744460, rec_len=27548, name_len=230 [ritesh@x230t libreoffice-4.1.2~rc3]$ ^C [ritesh@x230t libreoffice-4.1.2~rc3]$ smartctl -a /dev/sda smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org [ritesh@x230t libreoffice-4.1.2~rc3]$ sudo smartctl -a /dev/sda sudo: unable to open /var/lib/sudo/ritesh/4: No such file or directory smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org === START OF INFORMATION SECTION === Device Model: Crucial_CT960M500SSD1 Serial Number: 1335094BE7CA LU WWN Device Id: 5 00a075 1094be7ca Firmware Version: MU03 User Capacity: 960,197,124,096 bytes [960 GB] Sector Sizes: 512 bytes logical, 4096 bytes physical Rotation Rate: Solid State Device Device is: Not in smartctl database [for details use: -P showall] ATA Version is: ACS-2, ATA8-ACS T13/1699-D revision 6 SATA Version is: SATA 3.1, 6.0 Gb/s (current: 6.0 Gb/s) Local Time is: Wed Dec 11 11:38:48 2013 IST SMART support is: Available - device has SMART capability. SMART support is: Enabled === START OF READ SMART DATA SECTION === SMART overall-health self-assessment test result: PASSED General SMART Values: Offline data collection status: (0x80) Offline data collection activity      was never started.      Auto Offline Data Collection: Enabled. Self-test execution status: ( 0) The previous self-test routine completed      without error or no self-test has ever      been run. Total time to complete Offline data collection: ( 4470) seconds. Offline data collection capabilities: (0x7b) SMART execute Offline immediate.      Auto Offline data collection on/off support.      Suspend Offline collection upon new      command.      Offline surface scan supported.      Self-test supported.      Conveyance Self-test supported.      Selective Self-test supported. SMART capabilities: (0x0003) Saves SMART data before entering      power-saving mode.      Supports SMART auto save timer. Error logging capability: (0x01) Error logging supported.      General Purpose Logging supported. Short self-test routine recommended polling time: ( 2) minutes. Extended self-test routine recommended polling time: ( 74) minutes. Conveyance self-test routine recommended polling time: ( 3) minutes. SCT capabilities: (0x0035) SCT Status supported.      SCT Feature Control supported.      SCT Data Table supported. SMART Attributes Data Structure revision number: 16 Vendor Specific SMART Attributes with Thresholds: ID# ATTRIBUTE_NAME FLAG VALUE WORST THRESH TYPE UPDATED WHEN_FAILED RAW_VALUE   1 Raw_Read_Error_Rate 0x002f 100 100 000 Pre-fail Always - 21   5 Reallocated_Sector_Ct 0x0033 100 100 000 Pre-fail Always - 0   9 Power_On_Hours 0x0032 100 100 000 Old_age Always - 287  12 Power_Cycle_Count 0x0032 100 100 000 Old_age Always - 32 171 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 172 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 173 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 1 174 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 13 180 Unused_Rsvd_Blk_Cnt_Tot 0x0033 000 000 000 Pre-fail Always - 16523 183 Runtime_Bad_Block 0x0032 100 100 000 Old_age Always - 0 184 End-to-End_Error 0x0032 100 100 000 Old_age Always - 0 187 Reported_Uncorrect 0x0032 100 100 000 Old_age Always - 0 194 Temperature_Celsius 0x0022 056 050 000 Old_age Always - 44 (Min/Max 22/50) 196 Reallocated_Event_Count 0x0032 100 100 000 Old_age Always - 16 197 Current_Pending_Sector 0x0032 100 100 000 Old_age Always - 0 198 Offline_Uncorrectable 0x0030 100 100 000 Old_age Offline - 0 199 UDMA_CRC_Error_Count 0x0032 100 100 000 Old_age Always - 0 202 Unknown_SSD_Attribute 0x0031 100 100 000 Pre-fail Offline - 0 206 Unknown_SSD_Attribute 0x000e 100 100 000 Old_age Always - 0 210 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 4 246 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 2001841864 247 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 63823477 248 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 84291328 SMART Error Log Version: 1 No Errors Logged SMART Self-test log structure revision number 1 Num Test_Description Status Remaining LifeTime(hours) LBA_of_first_error # 1 Vendor (0xff) Completed without error 00% 279 - # 2 Extended offline Completed without error 00% 273 - # 3 Vendor (0xff) Completed without error 00% 90 - # 4 Vendor (0xff) Completed without error 00% 5 - # 5 Short offline Aborted by host 00% 2 - # 6 Vendor (0xff) Completed without error 00% 2 - SMART Selective self-test log data structure revision number 1  SPAN MIN_LBA MAX_LBA CURRENT_TEST_STATUS     1 0 0 Not_testing     2 0 0 Not_testing     3 0 0 Not_testing     4 0 0 Not_testing     5 0 0 Not_testing Selective self-test flags (0x0):   After scanning selected spans, do NOT read-scan remainder of disk. If Selective self-test is pending on power-up, resume after 0 minute delay. [ritesh@x230t libreoffice-4.1.2~rc3]$ uname -a Linux x230t 3.12.0-7-generic #15-Ubuntu SMP Sun Dec 8 23:39:27 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux $ mount /dev/mapper/ubuntu--vg-root on / type ext4 (rw,noatime,errors=remount-ro,discard) proc on /proc type proc (rw,noexec,nosuid,nodev) sysfs on /sys type sysfs (rw,noexec,nosuid,nodev) none on /sys/fs/cgroup type tmpfs (rw) none on /sys/fs/fuse/connections type fusectl (rw) none on /sys/kernel/debug type debugfs (rw) none on /sys/kernel/security type securityfs (rw) none on /sys/firmware/efi/efivars type efivarfs (rw) udev on /dev type devtmpfs (rw,mode=0755) devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=0620) tmpfs on /tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /run type tmpfs (rw,noexec,nosuid,size=10%,mode=0755) none on /run/lock type tmpfs (rw,noexec,nosuid,nodev,size=5242880) none on /run/shm type tmpfs (rw,nosuid,nodev) none on /run/user type tmpfs (rw,noexec,nosuid,nodev,size=104857600,mode=0755) none on /sys/fs/pstore type pstore (rw) tmpfs on /var/tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /var/log type tmpfs (rw,noatime,mode=0755) cgroup on /sys/fs/cgroup/cpuset type cgroup (rw,relatime,cpuset) cgroup on /sys/fs/cgroup/cpu type cgroup (rw,relatime,cpu) cgroup on /sys/fs/cgroup/cpuacct type cgroup (rw,relatime,cpuacct) cgroup on /sys/fs/cgroup/memory type cgroup (rw,relatime,memory) cgroup on /sys/fs/cgroup/devices type cgroup (rw,relatime,devices) cgroup on /sys/fs/cgroup/freezer type cgroup (rw,relatime,freezer) cgroup on /sys/fs/cgroup/blkio type cgroup (rw,relatime,blkio) cgroup on /sys/fs/cgroup/perf_event type cgroup (rw,relatime,perf_event) cgroup on /sys/fs/cgroup/hugetlb type cgroup (rw,relatime,hugetlb) /dev/sda2 on /boot type ext2 (rw) /dev/sda1 on /boot/efi type vfat (rw) systemd on /sys/fs/cgroup/systemd type cgroup (rw,noexec,nosuid,nodev,none,name=systemd) gvfsd-fuse on /run/user/1000/gvfs type fuse.gvfsd-fuse (rw,nosuid,nodev,user=ritesh) fsck/badblock (read only) says disk is clean. --- ApportVersion: 2.12.7-0ubuntu1 Architecture: amd64 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC1: ritesh 2141 F.... pulseaudio  /dev/snd/controlC0: ritesh 2141 F.... pulseaudio CRDA:  country IN:   (2402 - 2482 @ 40), (N/A, 20)   (5170 - 5250 @ 40), (N/A, 20)   (5250 - 5330 @ 40), (N/A, 20), DFS   (5735 - 5835 @ 40), (N/A, 20) CurrentDesktop: Unity DistroRelease: Ubuntu 14.04 HibernationDevice: RESUME=UUID=f9f2cec2-98f6-4f05-850a-9f60676c3299 MachineType: ASUSTeK Computer Inc. K43SA MarkForUpload: True Package: linux (not installed) ProcFB: 0 radeondrmfb ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.12.0-7-generic root=/dev/mapper/ubuntu--vg-root ro radeon.dpm=1 quiet splash ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4 RelatedPackageVersions:  linux-restricted-modules-3.12.0-7-generic N/A  linux-backports-modules-3.12.0-7-generic N/A  linux-firmware 1.117 StagingDrivers: rts5139 Tags: trusty staging Uname: Linux 3.12.0-7-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip kvm libvirtd lpadmin plugdev sambashare sudo WifiSyslog: dmi.bios.date: 11/17/2011 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: K43SA.211 dmi.board.asset.tag: ATN12345678901234567 dmi.board.name: K43SA dmi.board.vendor: ASUSTeK Computer Inc. dmi.board.version: 1.0 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: ASUSTeK Computer Inc. dmi.chassis.version: 1.0 dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrK43SA.211:bd11/17/2011:svnASUSTeKComputerInc.:pnK43SA:pvr1.0:rvnASUSTeKComputerInc.:rnK43SA:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0: dmi.product.name: K43SA dmi.product.version: 1.0 dmi.sys.vendor: ASUSTeK Computer Inc. --- ApportVersion: 2.12.7-0ubuntu3 Architecture: amd64 CurrentDesktop: Unity DistroRelease: Ubuntu 14.04 InstallationDate: Installed on 2013-12-19 (1 days ago) InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20131021.1) MarkForUpload: True Package: linux (not installed) Tags: trusty Uname: Linux 3.13.0-999-generic x86_64 UnreportableReason: The running kernel is not an Ubuntu kernel UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo fs goes into read-only mode while building LibreOffice. I dont see these error message with 3.12 kernel. WORKAROUND: Boot with ncq disabled. WORKAROUND: /dev/mapper/volumegroup-root / ext4 discard,noatime,nodiratime,errors=remount-ro 0 1 $ dmesg ... [ 2045.473249] virbr0: port 1(vnet0) entered forwarding state [ 2045.473283] IPv6: ADDRCONF(NETDEV_CHANGE): virbr0: link becomes ready [10660.961381] perf samples too long (2505 > 2500), lowering kernel.perf_event_max_sample_rate to 50000 [11822.935891] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629599: block 214443464: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1667681412, rec_len=45654, name_len=39 [11822.935896] Aborting journal on device dm-1-8. [11822.935998] EXT4-fs (dm-1): Remounting filesystem read-only [11822.960425] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629605: block 214443466: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2707156714, rec_len=19312, name_len=162 [11850.985003] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629557: block 214443458: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=512948573, rec_len=8858, name_len=176 [11850.985276] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629465: block 214443455: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=160939375, rec_len=26085, name_len=126 [11850.985499] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629325: block 214443451: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2322664969, rec_len=33791, name_len=132 [11850.985927] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629467: block 214443456: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=954332768, rec_len=21653, name_len=30 [11850.986409] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629074: block 214443433: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2061605548, rec_len=4984, name_len=3 [11850.986831] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628835: block 214443432: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3523041938, rec_len=53167, name_len=41 [11850.987001] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629098: block 214443436: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4225920287, rec_len=35138, name_len=75 [11850.987466] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629275: block 214443449: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=923253145, rec_len=44001, name_len=144 [11850.988115] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629270: block 214443448: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1892288796, rec_len=55247, name_len=58 [11851.042303] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629300: block 214443450: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=1809316884, rec_len=4208, name_len=195 [11851.042938] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629401: block 214443453: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4223616103, rec_len=36326, name_len=130 [11851.045745] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629406: block 214443454: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=415237227, rec_len=24702, name_len=59 [11851.125849] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629101: block 214443437: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=23292377, rec_len=28820, name_len=135 [11851.126086] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629543: block 214443457: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2624043515, rec_len=58633, name_len=250 [11851.126292] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629244: block 214443446: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=194839831, rec_len=15430, name_len=123 [11851.126529] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629345: block 214443452: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3316601052, rec_len=49124, name_len=10 [11851.126751] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629080: block 214443434: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2978861680, rec_len=55340, name_len=75 [11851.127326] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629254: block 214443447: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2927900409, rec_len=17708, name_len=67 [11851.191574] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628436: block 214443431: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3175406590, rec_len=48803, name_len=238 [11851.191832] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629561: block 214443459: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=880872205, rec_len=23750, name_len=202 [11851.192102] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629565: block 214443460: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3673769297, rec_len=36964, name_len=8 [11851.193231] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629577: block 214443462: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=164744460, rec_len=27548, name_len=230 [ritesh@x230t libreoffice-4.1.2~rc3]$ ^C [ritesh@x230t libreoffice-4.1.2~rc3]$ smartctl -a /dev/sda smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org [ritesh@x230t libreoffice-4.1.2~rc3]$ sudo smartctl -a /dev/sda sudo: unable to open /var/lib/sudo/ritesh/4: No such file or directory smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org === START OF INFORMATION SECTION === Device Model: Crucial_CT960M500SSD1 Serial Number: 1335094BE7CA LU WWN Device Id: 5 00a075 1094be7ca Firmware Version: MU03 User Capacity: 960,197,124,096 bytes [960 GB] Sector Sizes: 512 bytes logical, 4096 bytes physical Rotation Rate: Solid State Device Device is: Not in smartctl database [for details use: -P showall] ATA Version is: ACS-2, ATA8-ACS T13/1699-D revision 6 SATA Version is: SATA 3.1, 6.0 Gb/s (current: 6.0 Gb/s) Local Time is: Wed Dec 11 11:38:48 2013 IST SMART support is: Available - device has SMART capability. SMART support is: Enabled === START OF READ SMART DATA SECTION === SMART overall-health self-assessment test result: PASSED General SMART Values: Offline data collection status: (0x80) Offline data collection activity      was never started.      Auto Offline Data Collection: Enabled. Self-test execution status: ( 0) The previous self-test routine completed      without error or no self-test has ever      been run. Total time to complete Offline data collection: ( 4470) seconds. Offline data collection capabilities: (0x7b) SMART execute Offline immediate.      Auto Offline data collection on/off support.      Suspend Offline collection upon new      command.      Offline surface scan supported.      Self-test supported.      Conveyance Self-test supported.      Selective Self-test supported. SMART capabilities: (0x0003) Saves SMART data before entering      power-saving mode.      Supports SMART auto save timer. Error logging capability: (0x01) Error logging supported.      General Purpose Logging supported. Short self-test routine recommended polling time: ( 2) minutes. Extended self-test routine recommended polling time: ( 74) minutes. Conveyance self-test routine recommended polling time: ( 3) minutes. SCT capabilities: (0x0035) SCT Status supported.      SCT Feature Control supported.      SCT Data Table supported. SMART Attributes Data Structure revision number: 16 Vendor Specific SMART Attributes with Thresholds: ID# ATTRIBUTE_NAME FLAG VALUE WORST THRESH TYPE UPDATED WHEN_FAILED RAW_VALUE   1 Raw_Read_Error_Rate 0x002f 100 100 000 Pre-fail Always - 21   5 Reallocated_Sector_Ct 0x0033 100 100 000 Pre-fail Always - 0   9 Power_On_Hours 0x0032 100 100 000 Old_age Always - 287  12 Power_Cycle_Count 0x0032 100 100 000 Old_age Always - 32 171 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 172 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 173 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 1 174 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 13 180 Unused_Rsvd_Blk_Cnt_Tot 0x0033 000 000 000 Pre-fail Always - 16523 183 Runtime_Bad_Block 0x0032 100 100 000 Old_age Always - 0 184 End-to-End_Error 0x0032 100 100 000 Old_age Always - 0 187 Reported_Uncorrect 0x0032 100 100 000 Old_age Always - 0 194 Temperature_Celsius 0x0022 056 050 000 Old_age Always - 44 (Min/Max 22/50) 196 Reallocated_Event_Count 0x0032 100 100 000 Old_age Always - 16 197 Current_Pending_Sector 0x0032 100 100 000 Old_age Always - 0 198 Offline_Uncorrectable 0x0030 100 100 000 Old_age Offline - 0 199 UDMA_CRC_Error_Count 0x0032 100 100 000 Old_age Always - 0 202 Unknown_SSD_Attribute 0x0031 100 100 000 Pre-fail Offline - 0 206 Unknown_SSD_Attribute 0x000e 100 100 000 Old_age Always - 0 210 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 4 246 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 2001841864 247 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 63823477 248 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 84291328 SMART Error Log Version: 1 No Errors Logged SMART Self-test log structure revision number 1 Num Test_Description Status Remaining LifeTime(hours) LBA_of_first_error # 1 Vendor (0xff) Completed without error 00% 279 - # 2 Extended offline Completed without error 00% 273 - # 3 Vendor (0xff) Completed without error 00% 90 - # 4 Vendor (0xff) Completed without error 00% 5 - # 5 Short offline Aborted by host 00% 2 - # 6 Vendor (0xff) Completed without error 00% 2 - SMART Selective self-test log data structure revision number 1  SPAN MIN_LBA MAX_LBA CURRENT_TEST_STATUS     1 0 0 Not_testing     2 0 0 Not_testing     3 0 0 Not_testing     4 0 0 Not_testing     5 0 0 Not_testing Selective self-test flags (0x0):   After scanning selected spans, do NOT read-scan remainder of disk. If Selective self-test is pending on power-up, resume after 0 minute delay. [ritesh@x230t libreoffice-4.1.2~rc3]$ uname -a Linux x230t 3.12.0-7-generic #15-Ubuntu SMP Sun Dec 8 23:39:27 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux $ mount /dev/mapper/ubuntu--vg-root on / type ext4 (rw,noatime,errors=remount-ro,discard) proc on /proc type proc (rw,noexec,nosuid,nodev) sysfs on /sys type sysfs (rw,noexec,nosuid,nodev) none on /sys/fs/cgroup type tmpfs (rw) none on /sys/fs/fuse/connections type fusectl (rw) none on /sys/kernel/debug type debugfs (rw) none on /sys/kernel/security type securityfs (rw) none on /sys/firmware/efi/efivars type efivarfs (rw) udev on /dev type devtmpfs (rw,mode=0755) devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=0620) tmpfs on /tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /run type tmpfs (rw,noexec,nosuid,size=10%,mode=0755) none on /run/lock type tmpfs (rw,noexec,nosuid,nodev,size=5242880) none on /run/shm type tmpfs (rw,nosuid,nodev) none on /run/user type tmpfs (rw,noexec,nosuid,nodev,size=104857600,mode=0755) none on /sys/fs/pstore type pstore (rw) tmpfs on /var/tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /var/log type tmpfs (rw,noatime,mode=0755) cgroup on /sys/fs/cgroup/cpuset type cgroup (rw,relatime,cpuset) cgroup on /sys/fs/cgroup/cpu type cgroup (rw,relatime,cpu) cgroup on /sys/fs/cgroup/cpuacct type cgroup (rw,relatime,cpuacct) cgroup on /sys/fs/cgroup/memory type cgroup (rw,relatime,memory) cgroup on /sys/fs/cgroup/devices type cgroup (rw,relatime,devices) cgroup on /sys/fs/cgroup/freezer type cgroup (rw,relatime,freezer) cgroup on /sys/fs/cgroup/blkio type cgroup (rw,relatime,blkio) cgroup on /sys/fs/cgroup/perf_event type cgroup (rw,relatime,perf_event) cgroup on /sys/fs/cgroup/hugetlb type cgroup (rw,relatime,hugetlb) /dev/sda2 on /boot type ext2 (rw) /dev/sda1 on /boot/efi type vfat (rw) systemd on /sys/fs/cgroup/systemd type cgroup (rw,noexec,nosuid,nodev,none,name=systemd) gvfsd-fuse on /run/user/1000/gvfs type fuse.gvfsd-fuse (rw,nosuid,nodev,user=ritesh) fsck/badblock (read only) says disk is clean. --- ApportVersion: 2.12.7-0ubuntu1 Architecture: amd64 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC1: ritesh 2141 F.... pulseaudio  /dev/snd/controlC0: ritesh 2141 F.... pulseaudio CRDA:  country IN:   (2402 - 2482 @ 40), (N/A, 20)   (5170 - 5250 @ 40), (N/A, 20)   (5250 - 5330 @ 40), (N/A, 20), DFS   (5735 - 5835 @ 40), (N/A, 20) CurrentDesktop: Unity DistroRelease: Ubuntu 14.04 HibernationDevice: RESUME=UUID=f9f2cec2-98f6-4f05-850a-9f60676c3299 MachineType: ASUSTeK Computer Inc. K43SA MarkForUpload: True Package: linux (not installed) ProcFB: 0 radeondrmfb ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.12.0-7-generic root=/dev/mapper/ubuntu--vg-root ro radeon.dpm=1 quiet splash ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4 RelatedPackageVersions:  linux-restricted-modules-3.12.0-7-generic N/A  linux-backports-modules-3.12.0-7-generic N/A  linux-firmware 1.117 StagingDrivers: rts5139 Tags: trusty staging Uname: Linux 3.12.0-7-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip kvm libvirtd lpadmin plugdev sambashare sudo WifiSyslog: dmi.bios.date: 11/17/2011 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: K43SA.211 dmi.board.asset.tag: ATN12345678901234567 dmi.board.name: K43SA dmi.board.vendor: ASUSTeK Computer Inc. dmi.board.version: 1.0 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: ASUSTeK Computer Inc. dmi.chassis.version: 1.0 dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrK43SA.211:bd11/17/2011:svnASUSTeKComputerInc.:pnK43SA:pvr1.0:rvnASUSTeKComputerInc.:rnK43SA:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0: dmi.product.name: K43SA dmi.product.version: 1.0 dmi.sys.vendor: ASUSTeK Computer Inc. --- ApportVersion: 2.12.7-0ubuntu3 Architecture: amd64 CurrentDesktop: Unity DistroRelease: Ubuntu 14.04 InstallationDate: Installed on 2013-12-19 (1 days ago) InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20131021.1) MarkForUpload: True Package: linux (not installed) Tags: trusty Uname: Linux 3.13.0-999-generic x86_64 UnreportableReason: The running kernel is not an Ubuntu kernel UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
2013-12-24 18:43:22 Ritesh Khadgaray attachment added smartctl logs https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1259829/+attachment/3935225/+files/smart
2013-12-24 18:44:33 Ritesh Khadgaray description fs goes into read-only mode while building LibreOffice. I dont see these error message with 3.12 kernel. WORKAROUND: Boot with ncq disabled. WORKAROUND: /dev/mapper/volumegroup-root / ext4 discard,noatime,nodiratime,errors=remount-ro 0 1 $ dmesg ... [ 2045.473249] virbr0: port 1(vnet0) entered forwarding state [ 2045.473283] IPv6: ADDRCONF(NETDEV_CHANGE): virbr0: link becomes ready [10660.961381] perf samples too long (2505 > 2500), lowering kernel.perf_event_max_sample_rate to 50000 [11822.935891] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629599: block 214443464: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1667681412, rec_len=45654, name_len=39 [11822.935896] Aborting journal on device dm-1-8. [11822.935998] EXT4-fs (dm-1): Remounting filesystem read-only [11822.960425] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629605: block 214443466: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2707156714, rec_len=19312, name_len=162 [11850.985003] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629557: block 214443458: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=512948573, rec_len=8858, name_len=176 [11850.985276] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629465: block 214443455: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=160939375, rec_len=26085, name_len=126 [11850.985499] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629325: block 214443451: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2322664969, rec_len=33791, name_len=132 [11850.985927] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629467: block 214443456: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=954332768, rec_len=21653, name_len=30 [11850.986409] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629074: block 214443433: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2061605548, rec_len=4984, name_len=3 [11850.986831] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628835: block 214443432: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3523041938, rec_len=53167, name_len=41 [11850.987001] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629098: block 214443436: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4225920287, rec_len=35138, name_len=75 [11850.987466] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629275: block 214443449: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=923253145, rec_len=44001, name_len=144 [11850.988115] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629270: block 214443448: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1892288796, rec_len=55247, name_len=58 [11851.042303] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629300: block 214443450: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=1809316884, rec_len=4208, name_len=195 [11851.042938] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629401: block 214443453: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4223616103, rec_len=36326, name_len=130 [11851.045745] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629406: block 214443454: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=415237227, rec_len=24702, name_len=59 [11851.125849] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629101: block 214443437: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=23292377, rec_len=28820, name_len=135 [11851.126086] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629543: block 214443457: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2624043515, rec_len=58633, name_len=250 [11851.126292] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629244: block 214443446: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=194839831, rec_len=15430, name_len=123 [11851.126529] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629345: block 214443452: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3316601052, rec_len=49124, name_len=10 [11851.126751] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629080: block 214443434: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2978861680, rec_len=55340, name_len=75 [11851.127326] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629254: block 214443447: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2927900409, rec_len=17708, name_len=67 [11851.191574] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628436: block 214443431: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3175406590, rec_len=48803, name_len=238 [11851.191832] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629561: block 214443459: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=880872205, rec_len=23750, name_len=202 [11851.192102] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629565: block 214443460: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3673769297, rec_len=36964, name_len=8 [11851.193231] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629577: block 214443462: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=164744460, rec_len=27548, name_len=230 [ritesh@x230t libreoffice-4.1.2~rc3]$ ^C [ritesh@x230t libreoffice-4.1.2~rc3]$ smartctl -a /dev/sda smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org [ritesh@x230t libreoffice-4.1.2~rc3]$ sudo smartctl -a /dev/sda sudo: unable to open /var/lib/sudo/ritesh/4: No such file or directory smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org === START OF INFORMATION SECTION === Device Model: Crucial_CT960M500SSD1 Serial Number: 1335094BE7CA LU WWN Device Id: 5 00a075 1094be7ca Firmware Version: MU03 User Capacity: 960,197,124,096 bytes [960 GB] Sector Sizes: 512 bytes logical, 4096 bytes physical Rotation Rate: Solid State Device Device is: Not in smartctl database [for details use: -P showall] ATA Version is: ACS-2, ATA8-ACS T13/1699-D revision 6 SATA Version is: SATA 3.1, 6.0 Gb/s (current: 6.0 Gb/s) Local Time is: Wed Dec 11 11:38:48 2013 IST SMART support is: Available - device has SMART capability. SMART support is: Enabled === START OF READ SMART DATA SECTION === SMART overall-health self-assessment test result: PASSED General SMART Values: Offline data collection status: (0x80) Offline data collection activity      was never started.      Auto Offline Data Collection: Enabled. Self-test execution status: ( 0) The previous self-test routine completed      without error or no self-test has ever      been run. Total time to complete Offline data collection: ( 4470) seconds. Offline data collection capabilities: (0x7b) SMART execute Offline immediate.      Auto Offline data collection on/off support.      Suspend Offline collection upon new      command.      Offline surface scan supported.      Self-test supported.      Conveyance Self-test supported.      Selective Self-test supported. SMART capabilities: (0x0003) Saves SMART data before entering      power-saving mode.      Supports SMART auto save timer. Error logging capability: (0x01) Error logging supported.      General Purpose Logging supported. Short self-test routine recommended polling time: ( 2) minutes. Extended self-test routine recommended polling time: ( 74) minutes. Conveyance self-test routine recommended polling time: ( 3) minutes. SCT capabilities: (0x0035) SCT Status supported.      SCT Feature Control supported.      SCT Data Table supported. SMART Attributes Data Structure revision number: 16 Vendor Specific SMART Attributes with Thresholds: ID# ATTRIBUTE_NAME FLAG VALUE WORST THRESH TYPE UPDATED WHEN_FAILED RAW_VALUE   1 Raw_Read_Error_Rate 0x002f 100 100 000 Pre-fail Always - 21   5 Reallocated_Sector_Ct 0x0033 100 100 000 Pre-fail Always - 0   9 Power_On_Hours 0x0032 100 100 000 Old_age Always - 287  12 Power_Cycle_Count 0x0032 100 100 000 Old_age Always - 32 171 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 172 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 173 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 1 174 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 13 180 Unused_Rsvd_Blk_Cnt_Tot 0x0033 000 000 000 Pre-fail Always - 16523 183 Runtime_Bad_Block 0x0032 100 100 000 Old_age Always - 0 184 End-to-End_Error 0x0032 100 100 000 Old_age Always - 0 187 Reported_Uncorrect 0x0032 100 100 000 Old_age Always - 0 194 Temperature_Celsius 0x0022 056 050 000 Old_age Always - 44 (Min/Max 22/50) 196 Reallocated_Event_Count 0x0032 100 100 000 Old_age Always - 16 197 Current_Pending_Sector 0x0032 100 100 000 Old_age Always - 0 198 Offline_Uncorrectable 0x0030 100 100 000 Old_age Offline - 0 199 UDMA_CRC_Error_Count 0x0032 100 100 000 Old_age Always - 0 202 Unknown_SSD_Attribute 0x0031 100 100 000 Pre-fail Offline - 0 206 Unknown_SSD_Attribute 0x000e 100 100 000 Old_age Always - 0 210 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 4 246 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 2001841864 247 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 63823477 248 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 84291328 SMART Error Log Version: 1 No Errors Logged SMART Self-test log structure revision number 1 Num Test_Description Status Remaining LifeTime(hours) LBA_of_first_error # 1 Vendor (0xff) Completed without error 00% 279 - # 2 Extended offline Completed without error 00% 273 - # 3 Vendor (0xff) Completed without error 00% 90 - # 4 Vendor (0xff) Completed without error 00% 5 - # 5 Short offline Aborted by host 00% 2 - # 6 Vendor (0xff) Completed without error 00% 2 - SMART Selective self-test log data structure revision number 1  SPAN MIN_LBA MAX_LBA CURRENT_TEST_STATUS     1 0 0 Not_testing     2 0 0 Not_testing     3 0 0 Not_testing     4 0 0 Not_testing     5 0 0 Not_testing Selective self-test flags (0x0):   After scanning selected spans, do NOT read-scan remainder of disk. If Selective self-test is pending on power-up, resume after 0 minute delay. [ritesh@x230t libreoffice-4.1.2~rc3]$ uname -a Linux x230t 3.12.0-7-generic #15-Ubuntu SMP Sun Dec 8 23:39:27 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux $ mount /dev/mapper/ubuntu--vg-root on / type ext4 (rw,noatime,errors=remount-ro,discard) proc on /proc type proc (rw,noexec,nosuid,nodev) sysfs on /sys type sysfs (rw,noexec,nosuid,nodev) none on /sys/fs/cgroup type tmpfs (rw) none on /sys/fs/fuse/connections type fusectl (rw) none on /sys/kernel/debug type debugfs (rw) none on /sys/kernel/security type securityfs (rw) none on /sys/firmware/efi/efivars type efivarfs (rw) udev on /dev type devtmpfs (rw,mode=0755) devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=0620) tmpfs on /tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /run type tmpfs (rw,noexec,nosuid,size=10%,mode=0755) none on /run/lock type tmpfs (rw,noexec,nosuid,nodev,size=5242880) none on /run/shm type tmpfs (rw,nosuid,nodev) none on /run/user type tmpfs (rw,noexec,nosuid,nodev,size=104857600,mode=0755) none on /sys/fs/pstore type pstore (rw) tmpfs on /var/tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /var/log type tmpfs (rw,noatime,mode=0755) cgroup on /sys/fs/cgroup/cpuset type cgroup (rw,relatime,cpuset) cgroup on /sys/fs/cgroup/cpu type cgroup (rw,relatime,cpu) cgroup on /sys/fs/cgroup/cpuacct type cgroup (rw,relatime,cpuacct) cgroup on /sys/fs/cgroup/memory type cgroup (rw,relatime,memory) cgroup on /sys/fs/cgroup/devices type cgroup (rw,relatime,devices) cgroup on /sys/fs/cgroup/freezer type cgroup (rw,relatime,freezer) cgroup on /sys/fs/cgroup/blkio type cgroup (rw,relatime,blkio) cgroup on /sys/fs/cgroup/perf_event type cgroup (rw,relatime,perf_event) cgroup on /sys/fs/cgroup/hugetlb type cgroup (rw,relatime,hugetlb) /dev/sda2 on /boot type ext2 (rw) /dev/sda1 on /boot/efi type vfat (rw) systemd on /sys/fs/cgroup/systemd type cgroup (rw,noexec,nosuid,nodev,none,name=systemd) gvfsd-fuse on /run/user/1000/gvfs type fuse.gvfsd-fuse (rw,nosuid,nodev,user=ritesh) fsck/badblock (read only) says disk is clean. --- ApportVersion: 2.12.7-0ubuntu1 Architecture: amd64 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC1: ritesh 2141 F.... pulseaudio  /dev/snd/controlC0: ritesh 2141 F.... pulseaudio CRDA:  country IN:   (2402 - 2482 @ 40), (N/A, 20)   (5170 - 5250 @ 40), (N/A, 20)   (5250 - 5330 @ 40), (N/A, 20), DFS   (5735 - 5835 @ 40), (N/A, 20) CurrentDesktop: Unity DistroRelease: Ubuntu 14.04 HibernationDevice: RESUME=UUID=f9f2cec2-98f6-4f05-850a-9f60676c3299 MachineType: ASUSTeK Computer Inc. K43SA MarkForUpload: True Package: linux (not installed) ProcFB: 0 radeondrmfb ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.12.0-7-generic root=/dev/mapper/ubuntu--vg-root ro radeon.dpm=1 quiet splash ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4 RelatedPackageVersions:  linux-restricted-modules-3.12.0-7-generic N/A  linux-backports-modules-3.12.0-7-generic N/A  linux-firmware 1.117 StagingDrivers: rts5139 Tags: trusty staging Uname: Linux 3.12.0-7-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip kvm libvirtd lpadmin plugdev sambashare sudo WifiSyslog: dmi.bios.date: 11/17/2011 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: K43SA.211 dmi.board.asset.tag: ATN12345678901234567 dmi.board.name: K43SA dmi.board.vendor: ASUSTeK Computer Inc. dmi.board.version: 1.0 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: ASUSTeK Computer Inc. dmi.chassis.version: 1.0 dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrK43SA.211:bd11/17/2011:svnASUSTeKComputerInc.:pnK43SA:pvr1.0:rvnASUSTeKComputerInc.:rnK43SA:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0: dmi.product.name: K43SA dmi.product.version: 1.0 dmi.sys.vendor: ASUSTeK Computer Inc. --- ApportVersion: 2.12.7-0ubuntu3 Architecture: amd64 CurrentDesktop: Unity DistroRelease: Ubuntu 14.04 InstallationDate: Installed on 2013-12-19 (1 days ago) InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20131021.1) MarkForUpload: True Package: linux (not installed) Tags: trusty Uname: Linux 3.13.0-999-generic x86_64 UnreportableReason: The running kernel is not an Ubuntu kernel UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo fs goes into read-only mode while building LibreOffice. I dont see these error message with 3.12 kernel. WORKAROUND: Disable discard option - /dev/mapper/volumegroup-root / ext4 discard,noatime,nodiratime,errors=remount-ro 0 1 disabling ncq has no effect. $ dmesg ... [ 2045.473249] virbr0: port 1(vnet0) entered forwarding state [ 2045.473283] IPv6: ADDRCONF(NETDEV_CHANGE): virbr0: link becomes ready [10660.961381] perf samples too long (2505 > 2500), lowering kernel.perf_event_max_sample_rate to 50000 [11822.935891] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629599: block 214443464: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1667681412, rec_len=45654, name_len=39 [11822.935896] Aborting journal on device dm-1-8. [11822.935998] EXT4-fs (dm-1): Remounting filesystem read-only [11822.960425] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629605: block 214443466: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2707156714, rec_len=19312, name_len=162 [11850.985003] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629557: block 214443458: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=512948573, rec_len=8858, name_len=176 [11850.985276] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629465: block 214443455: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=160939375, rec_len=26085, name_len=126 [11850.985499] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629325: block 214443451: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2322664969, rec_len=33791, name_len=132 [11850.985927] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629467: block 214443456: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=954332768, rec_len=21653, name_len=30 [11850.986409] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629074: block 214443433: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2061605548, rec_len=4984, name_len=3 [11850.986831] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628835: block 214443432: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3523041938, rec_len=53167, name_len=41 [11850.987001] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629098: block 214443436: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4225920287, rec_len=35138, name_len=75 [11850.987466] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629275: block 214443449: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=923253145, rec_len=44001, name_len=144 [11850.988115] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629270: block 214443448: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1892288796, rec_len=55247, name_len=58 [11851.042303] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629300: block 214443450: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=1809316884, rec_len=4208, name_len=195 [11851.042938] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629401: block 214443453: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4223616103, rec_len=36326, name_len=130 [11851.045745] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629406: block 214443454: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=415237227, rec_len=24702, name_len=59 [11851.125849] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629101: block 214443437: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=23292377, rec_len=28820, name_len=135 [11851.126086] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629543: block 214443457: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2624043515, rec_len=58633, name_len=250 [11851.126292] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629244: block 214443446: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=194839831, rec_len=15430, name_len=123 [11851.126529] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629345: block 214443452: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3316601052, rec_len=49124, name_len=10 [11851.126751] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629080: block 214443434: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2978861680, rec_len=55340, name_len=75 [11851.127326] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629254: block 214443447: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2927900409, rec_len=17708, name_len=67 [11851.191574] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628436: block 214443431: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3175406590, rec_len=48803, name_len=238 [11851.191832] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629561: block 214443459: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=880872205, rec_len=23750, name_len=202 [11851.192102] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629565: block 214443460: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3673769297, rec_len=36964, name_len=8 [11851.193231] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629577: block 214443462: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=164744460, rec_len=27548, name_len=230 [ritesh@x230t libreoffice-4.1.2~rc3]$ ^C [ritesh@x230t libreoffice-4.1.2~rc3]$ smartctl -a /dev/sda smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org [ritesh@x230t libreoffice-4.1.2~rc3]$ sudo smartctl -a /dev/sda sudo: unable to open /var/lib/sudo/ritesh/4: No such file or directory smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org === START OF INFORMATION SECTION === Device Model: Crucial_CT960M500SSD1 Serial Number: 1335094BE7CA LU WWN Device Id: 5 00a075 1094be7ca Firmware Version: MU03 User Capacity: 960,197,124,096 bytes [960 GB] Sector Sizes: 512 bytes logical, 4096 bytes physical Rotation Rate: Solid State Device Device is: Not in smartctl database [for details use: -P showall] ATA Version is: ACS-2, ATA8-ACS T13/1699-D revision 6 SATA Version is: SATA 3.1, 6.0 Gb/s (current: 6.0 Gb/s) Local Time is: Wed Dec 11 11:38:48 2013 IST SMART support is: Available - device has SMART capability. SMART support is: Enabled === START OF READ SMART DATA SECTION === SMART overall-health self-assessment test result: PASSED General SMART Values: Offline data collection status: (0x80) Offline data collection activity      was never started.      Auto Offline Data Collection: Enabled. Self-test execution status: ( 0) The previous self-test routine completed      without error or no self-test has ever      been run. Total time to complete Offline data collection: ( 4470) seconds. Offline data collection capabilities: (0x7b) SMART execute Offline immediate.      Auto Offline data collection on/off support.      Suspend Offline collection upon new      command.      Offline surface scan supported.      Self-test supported.      Conveyance Self-test supported.      Selective Self-test supported. SMART capabilities: (0x0003) Saves SMART data before entering      power-saving mode.      Supports SMART auto save timer. Error logging capability: (0x01) Error logging supported.      General Purpose Logging supported. Short self-test routine recommended polling time: ( 2) minutes. Extended self-test routine recommended polling time: ( 74) minutes. Conveyance self-test routine recommended polling time: ( 3) minutes. SCT capabilities: (0x0035) SCT Status supported.      SCT Feature Control supported.      SCT Data Table supported. SMART Attributes Data Structure revision number: 16 Vendor Specific SMART Attributes with Thresholds: ID# ATTRIBUTE_NAME FLAG VALUE WORST THRESH TYPE UPDATED WHEN_FAILED RAW_VALUE   1 Raw_Read_Error_Rate 0x002f 100 100 000 Pre-fail Always - 21   5 Reallocated_Sector_Ct 0x0033 100 100 000 Pre-fail Always - 0   9 Power_On_Hours 0x0032 100 100 000 Old_age Always - 287  12 Power_Cycle_Count 0x0032 100 100 000 Old_age Always - 32 171 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 172 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 173 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 1 174 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 13 180 Unused_Rsvd_Blk_Cnt_Tot 0x0033 000 000 000 Pre-fail Always - 16523 183 Runtime_Bad_Block 0x0032 100 100 000 Old_age Always - 0 184 End-to-End_Error 0x0032 100 100 000 Old_age Always - 0 187 Reported_Uncorrect 0x0032 100 100 000 Old_age Always - 0 194 Temperature_Celsius 0x0022 056 050 000 Old_age Always - 44 (Min/Max 22/50) 196 Reallocated_Event_Count 0x0032 100 100 000 Old_age Always - 16 197 Current_Pending_Sector 0x0032 100 100 000 Old_age Always - 0 198 Offline_Uncorrectable 0x0030 100 100 000 Old_age Offline - 0 199 UDMA_CRC_Error_Count 0x0032 100 100 000 Old_age Always - 0 202 Unknown_SSD_Attribute 0x0031 100 100 000 Pre-fail Offline - 0 206 Unknown_SSD_Attribute 0x000e 100 100 000 Old_age Always - 0 210 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 4 246 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 2001841864 247 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 63823477 248 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 84291328 SMART Error Log Version: 1 No Errors Logged SMART Self-test log structure revision number 1 Num Test_Description Status Remaining LifeTime(hours) LBA_of_first_error # 1 Vendor (0xff) Completed without error 00% 279 - # 2 Extended offline Completed without error 00% 273 - # 3 Vendor (0xff) Completed without error 00% 90 - # 4 Vendor (0xff) Completed without error 00% 5 - # 5 Short offline Aborted by host 00% 2 - # 6 Vendor (0xff) Completed without error 00% 2 - SMART Selective self-test log data structure revision number 1  SPAN MIN_LBA MAX_LBA CURRENT_TEST_STATUS     1 0 0 Not_testing     2 0 0 Not_testing     3 0 0 Not_testing     4 0 0 Not_testing     5 0 0 Not_testing Selective self-test flags (0x0):   After scanning selected spans, do NOT read-scan remainder of disk. If Selective self-test is pending on power-up, resume after 0 minute delay. [ritesh@x230t libreoffice-4.1.2~rc3]$ uname -a Linux x230t 3.12.0-7-generic #15-Ubuntu SMP Sun Dec 8 23:39:27 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux $ mount /dev/mapper/ubuntu--vg-root on / type ext4 (rw,noatime,errors=remount-ro,discard) proc on /proc type proc (rw,noexec,nosuid,nodev) sysfs on /sys type sysfs (rw,noexec,nosuid,nodev) none on /sys/fs/cgroup type tmpfs (rw) none on /sys/fs/fuse/connections type fusectl (rw) none on /sys/kernel/debug type debugfs (rw) none on /sys/kernel/security type securityfs (rw) none on /sys/firmware/efi/efivars type efivarfs (rw) udev on /dev type devtmpfs (rw,mode=0755) devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=0620) tmpfs on /tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /run type tmpfs (rw,noexec,nosuid,size=10%,mode=0755) none on /run/lock type tmpfs (rw,noexec,nosuid,nodev,size=5242880) none on /run/shm type tmpfs (rw,nosuid,nodev) none on /run/user type tmpfs (rw,noexec,nosuid,nodev,size=104857600,mode=0755) none on /sys/fs/pstore type pstore (rw) tmpfs on /var/tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /var/log type tmpfs (rw,noatime,mode=0755) cgroup on /sys/fs/cgroup/cpuset type cgroup (rw,relatime,cpuset) cgroup on /sys/fs/cgroup/cpu type cgroup (rw,relatime,cpu) cgroup on /sys/fs/cgroup/cpuacct type cgroup (rw,relatime,cpuacct) cgroup on /sys/fs/cgroup/memory type cgroup (rw,relatime,memory) cgroup on /sys/fs/cgroup/devices type cgroup (rw,relatime,devices) cgroup on /sys/fs/cgroup/freezer type cgroup (rw,relatime,freezer) cgroup on /sys/fs/cgroup/blkio type cgroup (rw,relatime,blkio) cgroup on /sys/fs/cgroup/perf_event type cgroup (rw,relatime,perf_event) cgroup on /sys/fs/cgroup/hugetlb type cgroup (rw,relatime,hugetlb) /dev/sda2 on /boot type ext2 (rw) /dev/sda1 on /boot/efi type vfat (rw) systemd on /sys/fs/cgroup/systemd type cgroup (rw,noexec,nosuid,nodev,none,name=systemd) gvfsd-fuse on /run/user/1000/gvfs type fuse.gvfsd-fuse (rw,nosuid,nodev,user=ritesh) fsck/badblock (read only) says disk is clean. --- ApportVersion: 2.12.7-0ubuntu1 Architecture: amd64 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC1: ritesh 2141 F.... pulseaudio  /dev/snd/controlC0: ritesh 2141 F.... pulseaudio CRDA:  country IN:   (2402 - 2482 @ 40), (N/A, 20)   (5170 - 5250 @ 40), (N/A, 20)   (5250 - 5330 @ 40), (N/A, 20), DFS   (5735 - 5835 @ 40), (N/A, 20) CurrentDesktop: Unity DistroRelease: Ubuntu 14.04 HibernationDevice: RESUME=UUID=f9f2cec2-98f6-4f05-850a-9f60676c3299 MachineType: ASUSTeK Computer Inc. K43SA MarkForUpload: True Package: linux (not installed) ProcFB: 0 radeondrmfb ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.12.0-7-generic root=/dev/mapper/ubuntu--vg-root ro radeon.dpm=1 quiet splash ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4 RelatedPackageVersions:  linux-restricted-modules-3.12.0-7-generic N/A  linux-backports-modules-3.12.0-7-generic N/A  linux-firmware 1.117 StagingDrivers: rts5139 Tags: trusty staging Uname: Linux 3.12.0-7-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip kvm libvirtd lpadmin plugdev sambashare sudo WifiSyslog: dmi.bios.date: 11/17/2011 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: K43SA.211 dmi.board.asset.tag: ATN12345678901234567 dmi.board.name: K43SA dmi.board.vendor: ASUSTeK Computer Inc. dmi.board.version: 1.0 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: ASUSTeK Computer Inc. dmi.chassis.version: 1.0 dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrK43SA.211:bd11/17/2011:svnASUSTeKComputerInc.:pnK43SA:pvr1.0:rvnASUSTeKComputerInc.:rnK43SA:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0: dmi.product.name: K43SA dmi.product.version: 1.0 dmi.sys.vendor: ASUSTeK Computer Inc. --- ApportVersion: 2.12.7-0ubuntu3 Architecture: amd64 CurrentDesktop: Unity DistroRelease: Ubuntu 14.04 InstallationDate: Installed on 2013-12-19 (1 days ago) InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20131021.1) MarkForUpload: True Package: linux (not installed) Tags: trusty Uname: Linux 3.13.0-999-generic x86_64 UnreportableReason: The running kernel is not an Ubuntu kernel UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
2013-12-24 18:44:52 Ritesh Khadgaray description fs goes into read-only mode while building LibreOffice. I dont see these error message with 3.12 kernel. WORKAROUND: Disable discard option - /dev/mapper/volumegroup-root / ext4 discard,noatime,nodiratime,errors=remount-ro 0 1 disabling ncq has no effect. $ dmesg ... [ 2045.473249] virbr0: port 1(vnet0) entered forwarding state [ 2045.473283] IPv6: ADDRCONF(NETDEV_CHANGE): virbr0: link becomes ready [10660.961381] perf samples too long (2505 > 2500), lowering kernel.perf_event_max_sample_rate to 50000 [11822.935891] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629599: block 214443464: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1667681412, rec_len=45654, name_len=39 [11822.935896] Aborting journal on device dm-1-8. [11822.935998] EXT4-fs (dm-1): Remounting filesystem read-only [11822.960425] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629605: block 214443466: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2707156714, rec_len=19312, name_len=162 [11850.985003] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629557: block 214443458: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=512948573, rec_len=8858, name_len=176 [11850.985276] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629465: block 214443455: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=160939375, rec_len=26085, name_len=126 [11850.985499] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629325: block 214443451: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2322664969, rec_len=33791, name_len=132 [11850.985927] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629467: block 214443456: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=954332768, rec_len=21653, name_len=30 [11850.986409] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629074: block 214443433: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2061605548, rec_len=4984, name_len=3 [11850.986831] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628835: block 214443432: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3523041938, rec_len=53167, name_len=41 [11850.987001] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629098: block 214443436: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4225920287, rec_len=35138, name_len=75 [11850.987466] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629275: block 214443449: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=923253145, rec_len=44001, name_len=144 [11850.988115] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629270: block 214443448: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1892288796, rec_len=55247, name_len=58 [11851.042303] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629300: block 214443450: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=1809316884, rec_len=4208, name_len=195 [11851.042938] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629401: block 214443453: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4223616103, rec_len=36326, name_len=130 [11851.045745] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629406: block 214443454: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=415237227, rec_len=24702, name_len=59 [11851.125849] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629101: block 214443437: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=23292377, rec_len=28820, name_len=135 [11851.126086] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629543: block 214443457: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2624043515, rec_len=58633, name_len=250 [11851.126292] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629244: block 214443446: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=194839831, rec_len=15430, name_len=123 [11851.126529] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629345: block 214443452: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3316601052, rec_len=49124, name_len=10 [11851.126751] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629080: block 214443434: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2978861680, rec_len=55340, name_len=75 [11851.127326] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629254: block 214443447: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2927900409, rec_len=17708, name_len=67 [11851.191574] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628436: block 214443431: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3175406590, rec_len=48803, name_len=238 [11851.191832] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629561: block 214443459: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=880872205, rec_len=23750, name_len=202 [11851.192102] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629565: block 214443460: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3673769297, rec_len=36964, name_len=8 [11851.193231] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629577: block 214443462: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=164744460, rec_len=27548, name_len=230 [ritesh@x230t libreoffice-4.1.2~rc3]$ ^C [ritesh@x230t libreoffice-4.1.2~rc3]$ smartctl -a /dev/sda smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org [ritesh@x230t libreoffice-4.1.2~rc3]$ sudo smartctl -a /dev/sda sudo: unable to open /var/lib/sudo/ritesh/4: No such file or directory smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org === START OF INFORMATION SECTION === Device Model: Crucial_CT960M500SSD1 Serial Number: 1335094BE7CA LU WWN Device Id: 5 00a075 1094be7ca Firmware Version: MU03 User Capacity: 960,197,124,096 bytes [960 GB] Sector Sizes: 512 bytes logical, 4096 bytes physical Rotation Rate: Solid State Device Device is: Not in smartctl database [for details use: -P showall] ATA Version is: ACS-2, ATA8-ACS T13/1699-D revision 6 SATA Version is: SATA 3.1, 6.0 Gb/s (current: 6.0 Gb/s) Local Time is: Wed Dec 11 11:38:48 2013 IST SMART support is: Available - device has SMART capability. SMART support is: Enabled === START OF READ SMART DATA SECTION === SMART overall-health self-assessment test result: PASSED General SMART Values: Offline data collection status: (0x80) Offline data collection activity      was never started.      Auto Offline Data Collection: Enabled. Self-test execution status: ( 0) The previous self-test routine completed      without error or no self-test has ever      been run. Total time to complete Offline data collection: ( 4470) seconds. Offline data collection capabilities: (0x7b) SMART execute Offline immediate.      Auto Offline data collection on/off support.      Suspend Offline collection upon new      command.      Offline surface scan supported.      Self-test supported.      Conveyance Self-test supported.      Selective Self-test supported. SMART capabilities: (0x0003) Saves SMART data before entering      power-saving mode.      Supports SMART auto save timer. Error logging capability: (0x01) Error logging supported.      General Purpose Logging supported. Short self-test routine recommended polling time: ( 2) minutes. Extended self-test routine recommended polling time: ( 74) minutes. Conveyance self-test routine recommended polling time: ( 3) minutes. SCT capabilities: (0x0035) SCT Status supported.      SCT Feature Control supported.      SCT Data Table supported. SMART Attributes Data Structure revision number: 16 Vendor Specific SMART Attributes with Thresholds: ID# ATTRIBUTE_NAME FLAG VALUE WORST THRESH TYPE UPDATED WHEN_FAILED RAW_VALUE   1 Raw_Read_Error_Rate 0x002f 100 100 000 Pre-fail Always - 21   5 Reallocated_Sector_Ct 0x0033 100 100 000 Pre-fail Always - 0   9 Power_On_Hours 0x0032 100 100 000 Old_age Always - 287  12 Power_Cycle_Count 0x0032 100 100 000 Old_age Always - 32 171 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 172 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 173 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 1 174 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 13 180 Unused_Rsvd_Blk_Cnt_Tot 0x0033 000 000 000 Pre-fail Always - 16523 183 Runtime_Bad_Block 0x0032 100 100 000 Old_age Always - 0 184 End-to-End_Error 0x0032 100 100 000 Old_age Always - 0 187 Reported_Uncorrect 0x0032 100 100 000 Old_age Always - 0 194 Temperature_Celsius 0x0022 056 050 000 Old_age Always - 44 (Min/Max 22/50) 196 Reallocated_Event_Count 0x0032 100 100 000 Old_age Always - 16 197 Current_Pending_Sector 0x0032 100 100 000 Old_age Always - 0 198 Offline_Uncorrectable 0x0030 100 100 000 Old_age Offline - 0 199 UDMA_CRC_Error_Count 0x0032 100 100 000 Old_age Always - 0 202 Unknown_SSD_Attribute 0x0031 100 100 000 Pre-fail Offline - 0 206 Unknown_SSD_Attribute 0x000e 100 100 000 Old_age Always - 0 210 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 4 246 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 2001841864 247 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 63823477 248 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 84291328 SMART Error Log Version: 1 No Errors Logged SMART Self-test log structure revision number 1 Num Test_Description Status Remaining LifeTime(hours) LBA_of_first_error # 1 Vendor (0xff) Completed without error 00% 279 - # 2 Extended offline Completed without error 00% 273 - # 3 Vendor (0xff) Completed without error 00% 90 - # 4 Vendor (0xff) Completed without error 00% 5 - # 5 Short offline Aborted by host 00% 2 - # 6 Vendor (0xff) Completed without error 00% 2 - SMART Selective self-test log data structure revision number 1  SPAN MIN_LBA MAX_LBA CURRENT_TEST_STATUS     1 0 0 Not_testing     2 0 0 Not_testing     3 0 0 Not_testing     4 0 0 Not_testing     5 0 0 Not_testing Selective self-test flags (0x0):   After scanning selected spans, do NOT read-scan remainder of disk. If Selective self-test is pending on power-up, resume after 0 minute delay. [ritesh@x230t libreoffice-4.1.2~rc3]$ uname -a Linux x230t 3.12.0-7-generic #15-Ubuntu SMP Sun Dec 8 23:39:27 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux $ mount /dev/mapper/ubuntu--vg-root on / type ext4 (rw,noatime,errors=remount-ro,discard) proc on /proc type proc (rw,noexec,nosuid,nodev) sysfs on /sys type sysfs (rw,noexec,nosuid,nodev) none on /sys/fs/cgroup type tmpfs (rw) none on /sys/fs/fuse/connections type fusectl (rw) none on /sys/kernel/debug type debugfs (rw) none on /sys/kernel/security type securityfs (rw) none on /sys/firmware/efi/efivars type efivarfs (rw) udev on /dev type devtmpfs (rw,mode=0755) devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=0620) tmpfs on /tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /run type tmpfs (rw,noexec,nosuid,size=10%,mode=0755) none on /run/lock type tmpfs (rw,noexec,nosuid,nodev,size=5242880) none on /run/shm type tmpfs (rw,nosuid,nodev) none on /run/user type tmpfs (rw,noexec,nosuid,nodev,size=104857600,mode=0755) none on /sys/fs/pstore type pstore (rw) tmpfs on /var/tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /var/log type tmpfs (rw,noatime,mode=0755) cgroup on /sys/fs/cgroup/cpuset type cgroup (rw,relatime,cpuset) cgroup on /sys/fs/cgroup/cpu type cgroup (rw,relatime,cpu) cgroup on /sys/fs/cgroup/cpuacct type cgroup (rw,relatime,cpuacct) cgroup on /sys/fs/cgroup/memory type cgroup (rw,relatime,memory) cgroup on /sys/fs/cgroup/devices type cgroup (rw,relatime,devices) cgroup on /sys/fs/cgroup/freezer type cgroup (rw,relatime,freezer) cgroup on /sys/fs/cgroup/blkio type cgroup (rw,relatime,blkio) cgroup on /sys/fs/cgroup/perf_event type cgroup (rw,relatime,perf_event) cgroup on /sys/fs/cgroup/hugetlb type cgroup (rw,relatime,hugetlb) /dev/sda2 on /boot type ext2 (rw) /dev/sda1 on /boot/efi type vfat (rw) systemd on /sys/fs/cgroup/systemd type cgroup (rw,noexec,nosuid,nodev,none,name=systemd) gvfsd-fuse on /run/user/1000/gvfs type fuse.gvfsd-fuse (rw,nosuid,nodev,user=ritesh) fsck/badblock (read only) says disk is clean. --- ApportVersion: 2.12.7-0ubuntu1 Architecture: amd64 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC1: ritesh 2141 F.... pulseaudio  /dev/snd/controlC0: ritesh 2141 F.... pulseaudio CRDA:  country IN:   (2402 - 2482 @ 40), (N/A, 20)   (5170 - 5250 @ 40), (N/A, 20)   (5250 - 5330 @ 40), (N/A, 20), DFS   (5735 - 5835 @ 40), (N/A, 20) CurrentDesktop: Unity DistroRelease: Ubuntu 14.04 HibernationDevice: RESUME=UUID=f9f2cec2-98f6-4f05-850a-9f60676c3299 MachineType: ASUSTeK Computer Inc. K43SA MarkForUpload: True Package: linux (not installed) ProcFB: 0 radeondrmfb ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.12.0-7-generic root=/dev/mapper/ubuntu--vg-root ro radeon.dpm=1 quiet splash ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4 RelatedPackageVersions:  linux-restricted-modules-3.12.0-7-generic N/A  linux-backports-modules-3.12.0-7-generic N/A  linux-firmware 1.117 StagingDrivers: rts5139 Tags: trusty staging Uname: Linux 3.12.0-7-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip kvm libvirtd lpadmin plugdev sambashare sudo WifiSyslog: dmi.bios.date: 11/17/2011 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: K43SA.211 dmi.board.asset.tag: ATN12345678901234567 dmi.board.name: K43SA dmi.board.vendor: ASUSTeK Computer Inc. dmi.board.version: 1.0 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: ASUSTeK Computer Inc. dmi.chassis.version: 1.0 dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrK43SA.211:bd11/17/2011:svnASUSTeKComputerInc.:pnK43SA:pvr1.0:rvnASUSTeKComputerInc.:rnK43SA:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0: dmi.product.name: K43SA dmi.product.version: 1.0 dmi.sys.vendor: ASUSTeK Computer Inc. --- ApportVersion: 2.12.7-0ubuntu3 Architecture: amd64 CurrentDesktop: Unity DistroRelease: Ubuntu 14.04 InstallationDate: Installed on 2013-12-19 (1 days ago) InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20131021.1) MarkForUpload: True Package: linux (not installed) Tags: trusty Uname: Linux 3.13.0-999-generic x86_64 UnreportableReason: The running kernel is not an Ubuntu kernel UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo fs goes into read-only mode while building LibreOffice. WORKAROUND: Disable discard option - /dev/mapper/volumegroup-root / ext4 discard,noatime,nodiratime,errors=remount-ro 0 1 disabling ncq has no effect. $ dmesg ... [ 2045.473249] virbr0: port 1(vnet0) entered forwarding state [ 2045.473283] IPv6: ADDRCONF(NETDEV_CHANGE): virbr0: link becomes ready [10660.961381] perf samples too long (2505 > 2500), lowering kernel.perf_event_max_sample_rate to 50000 [11822.935891] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629599: block 214443464: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1667681412, rec_len=45654, name_len=39 [11822.935896] Aborting journal on device dm-1-8. [11822.935998] EXT4-fs (dm-1): Remounting filesystem read-only [11822.960425] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629605: block 214443466: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2707156714, rec_len=19312, name_len=162 [11850.985003] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629557: block 214443458: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=512948573, rec_len=8858, name_len=176 [11850.985276] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629465: block 214443455: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=160939375, rec_len=26085, name_len=126 [11850.985499] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629325: block 214443451: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2322664969, rec_len=33791, name_len=132 [11850.985927] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629467: block 214443456: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=954332768, rec_len=21653, name_len=30 [11850.986409] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629074: block 214443433: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2061605548, rec_len=4984, name_len=3 [11850.986831] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628835: block 214443432: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3523041938, rec_len=53167, name_len=41 [11850.987001] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629098: block 214443436: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4225920287, rec_len=35138, name_len=75 [11850.987466] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629275: block 214443449: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=923253145, rec_len=44001, name_len=144 [11850.988115] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629270: block 214443448: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1892288796, rec_len=55247, name_len=58 [11851.042303] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629300: block 214443450: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=1809316884, rec_len=4208, name_len=195 [11851.042938] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629401: block 214443453: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=4223616103, rec_len=36326, name_len=130 [11851.045745] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629406: block 214443454: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=415237227, rec_len=24702, name_len=59 [11851.125849] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629101: block 214443437: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=23292377, rec_len=28820, name_len=135 [11851.126086] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629543: block 214443457: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=2624043515, rec_len=58633, name_len=250 [11851.126292] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629244: block 214443446: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=194839831, rec_len=15430, name_len=123 [11851.126529] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629345: block 214443452: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3316601052, rec_len=49124, name_len=10 [11851.126751] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629080: block 214443434: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2978861680, rec_len=55340, name_len=75 [11851.127326] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629254: block 214443447: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=2927900409, rec_len=17708, name_len=67 [11851.191574] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53628436: block 214443431: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=3175406590, rec_len=48803, name_len=238 [11851.191832] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629561: block 214443459: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=880872205, rec_len=23750, name_len=202 [11851.192102] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629565: block 214443460: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=3673769297, rec_len=36964, name_len=8 [11851.193231] EXT4-fs error (device dm-1): htree_dirblock_to_tree:920: inode #53629577: block 214443462: comm rm: bad entry in directory: directory entry across range - offset=0(0), inode=164744460, rec_len=27548, name_len=230 [ritesh@x230t libreoffice-4.1.2~rc3]$ ^C [ritesh@x230t libreoffice-4.1.2~rc3]$ smartctl -a /dev/sda smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org [ritesh@x230t libreoffice-4.1.2~rc3]$ sudo smartctl -a /dev/sda sudo: unable to open /var/lib/sudo/ritesh/4: No such file or directory smartctl 6.2 2013-07-26 r3841 [x86_64-linux-3.12.0-7-generic] (local build) Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org === START OF INFORMATION SECTION === Device Model: Crucial_CT960M500SSD1 Serial Number: 1335094BE7CA LU WWN Device Id: 5 00a075 1094be7ca Firmware Version: MU03 User Capacity: 960,197,124,096 bytes [960 GB] Sector Sizes: 512 bytes logical, 4096 bytes physical Rotation Rate: Solid State Device Device is: Not in smartctl database [for details use: -P showall] ATA Version is: ACS-2, ATA8-ACS T13/1699-D revision 6 SATA Version is: SATA 3.1, 6.0 Gb/s (current: 6.0 Gb/s) Local Time is: Wed Dec 11 11:38:48 2013 IST SMART support is: Available - device has SMART capability. SMART support is: Enabled === START OF READ SMART DATA SECTION === SMART overall-health self-assessment test result: PASSED General SMART Values: Offline data collection status: (0x80) Offline data collection activity      was never started.      Auto Offline Data Collection: Enabled. Self-test execution status: ( 0) The previous self-test routine completed      without error or no self-test has ever      been run. Total time to complete Offline data collection: ( 4470) seconds. Offline data collection capabilities: (0x7b) SMART execute Offline immediate.      Auto Offline data collection on/off support.      Suspend Offline collection upon new      command.      Offline surface scan supported.      Self-test supported.      Conveyance Self-test supported.      Selective Self-test supported. SMART capabilities: (0x0003) Saves SMART data before entering      power-saving mode.      Supports SMART auto save timer. Error logging capability: (0x01) Error logging supported.      General Purpose Logging supported. Short self-test routine recommended polling time: ( 2) minutes. Extended self-test routine recommended polling time: ( 74) minutes. Conveyance self-test routine recommended polling time: ( 3) minutes. SCT capabilities: (0x0035) SCT Status supported.      SCT Feature Control supported.      SCT Data Table supported. SMART Attributes Data Structure revision number: 16 Vendor Specific SMART Attributes with Thresholds: ID# ATTRIBUTE_NAME FLAG VALUE WORST THRESH TYPE UPDATED WHEN_FAILED RAW_VALUE   1 Raw_Read_Error_Rate 0x002f 100 100 000 Pre-fail Always - 21   5 Reallocated_Sector_Ct 0x0033 100 100 000 Pre-fail Always - 0   9 Power_On_Hours 0x0032 100 100 000 Old_age Always - 287  12 Power_Cycle_Count 0x0032 100 100 000 Old_age Always - 32 171 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 172 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 0 173 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 1 174 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 13 180 Unused_Rsvd_Blk_Cnt_Tot 0x0033 000 000 000 Pre-fail Always - 16523 183 Runtime_Bad_Block 0x0032 100 100 000 Old_age Always - 0 184 End-to-End_Error 0x0032 100 100 000 Old_age Always - 0 187 Reported_Uncorrect 0x0032 100 100 000 Old_age Always - 0 194 Temperature_Celsius 0x0022 056 050 000 Old_age Always - 44 (Min/Max 22/50) 196 Reallocated_Event_Count 0x0032 100 100 000 Old_age Always - 16 197 Current_Pending_Sector 0x0032 100 100 000 Old_age Always - 0 198 Offline_Uncorrectable 0x0030 100 100 000 Old_age Offline - 0 199 UDMA_CRC_Error_Count 0x0032 100 100 000 Old_age Always - 0 202 Unknown_SSD_Attribute 0x0031 100 100 000 Pre-fail Offline - 0 206 Unknown_SSD_Attribute 0x000e 100 100 000 Old_age Always - 0 210 Unknown_Attribute 0x0032 100 100 000 Old_age Always - 4 246 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 2001841864 247 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 63823477 248 Unknown_Attribute 0x0032 100 100 --- Old_age Always - 84291328 SMART Error Log Version: 1 No Errors Logged SMART Self-test log structure revision number 1 Num Test_Description Status Remaining LifeTime(hours) LBA_of_first_error # 1 Vendor (0xff) Completed without error 00% 279 - # 2 Extended offline Completed without error 00% 273 - # 3 Vendor (0xff) Completed without error 00% 90 - # 4 Vendor (0xff) Completed without error 00% 5 - # 5 Short offline Aborted by host 00% 2 - # 6 Vendor (0xff) Completed without error 00% 2 - SMART Selective self-test log data structure revision number 1  SPAN MIN_LBA MAX_LBA CURRENT_TEST_STATUS     1 0 0 Not_testing     2 0 0 Not_testing     3 0 0 Not_testing     4 0 0 Not_testing     5 0 0 Not_testing Selective self-test flags (0x0):   After scanning selected spans, do NOT read-scan remainder of disk. If Selective self-test is pending on power-up, resume after 0 minute delay. [ritesh@x230t libreoffice-4.1.2~rc3]$ uname -a Linux x230t 3.12.0-7-generic #15-Ubuntu SMP Sun Dec 8 23:39:27 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux $ mount /dev/mapper/ubuntu--vg-root on / type ext4 (rw,noatime,errors=remount-ro,discard) proc on /proc type proc (rw,noexec,nosuid,nodev) sysfs on /sys type sysfs (rw,noexec,nosuid,nodev) none on /sys/fs/cgroup type tmpfs (rw) none on /sys/fs/fuse/connections type fusectl (rw) none on /sys/kernel/debug type debugfs (rw) none on /sys/kernel/security type securityfs (rw) none on /sys/firmware/efi/efivars type efivarfs (rw) udev on /dev type devtmpfs (rw,mode=0755) devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=0620) tmpfs on /tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /run type tmpfs (rw,noexec,nosuid,size=10%,mode=0755) none on /run/lock type tmpfs (rw,noexec,nosuid,nodev,size=5242880) none on /run/shm type tmpfs (rw,nosuid,nodev) none on /run/user type tmpfs (rw,noexec,nosuid,nodev,size=104857600,mode=0755) none on /sys/fs/pstore type pstore (rw) tmpfs on /var/tmp type tmpfs (rw,noatime,mode=1777) tmpfs on /var/log type tmpfs (rw,noatime,mode=0755) cgroup on /sys/fs/cgroup/cpuset type cgroup (rw,relatime,cpuset) cgroup on /sys/fs/cgroup/cpu type cgroup (rw,relatime,cpu) cgroup on /sys/fs/cgroup/cpuacct type cgroup (rw,relatime,cpuacct) cgroup on /sys/fs/cgroup/memory type cgroup (rw,relatime,memory) cgroup on /sys/fs/cgroup/devices type cgroup (rw,relatime,devices) cgroup on /sys/fs/cgroup/freezer type cgroup (rw,relatime,freezer) cgroup on /sys/fs/cgroup/blkio type cgroup (rw,relatime,blkio) cgroup on /sys/fs/cgroup/perf_event type cgroup (rw,relatime,perf_event) cgroup on /sys/fs/cgroup/hugetlb type cgroup (rw,relatime,hugetlb) /dev/sda2 on /boot type ext2 (rw) /dev/sda1 on /boot/efi type vfat (rw) systemd on /sys/fs/cgroup/systemd type cgroup (rw,noexec,nosuid,nodev,none,name=systemd) gvfsd-fuse on /run/user/1000/gvfs type fuse.gvfsd-fuse (rw,nosuid,nodev,user=ritesh) fsck/badblock (read only) says disk is clean. --- ApportVersion: 2.12.7-0ubuntu1 Architecture: amd64 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC1: ritesh 2141 F.... pulseaudio  /dev/snd/controlC0: ritesh 2141 F.... pulseaudio CRDA:  country IN:   (2402 - 2482 @ 40), (N/A, 20)   (5170 - 5250 @ 40), (N/A, 20)   (5250 - 5330 @ 40), (N/A, 20), DFS   (5735 - 5835 @ 40), (N/A, 20) CurrentDesktop: Unity DistroRelease: Ubuntu 14.04 HibernationDevice: RESUME=UUID=f9f2cec2-98f6-4f05-850a-9f60676c3299 MachineType: ASUSTeK Computer Inc. K43SA MarkForUpload: True Package: linux (not installed) ProcFB: 0 radeondrmfb ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.12.0-7-generic root=/dev/mapper/ubuntu--vg-root ro radeon.dpm=1 quiet splash ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4 RelatedPackageVersions:  linux-restricted-modules-3.12.0-7-generic N/A  linux-backports-modules-3.12.0-7-generic N/A  linux-firmware 1.117 StagingDrivers: rts5139 Tags: trusty staging Uname: Linux 3.12.0-7-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip kvm libvirtd lpadmin plugdev sambashare sudo WifiSyslog: dmi.bios.date: 11/17/2011 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: K43SA.211 dmi.board.asset.tag: ATN12345678901234567 dmi.board.name: K43SA dmi.board.vendor: ASUSTeK Computer Inc. dmi.board.version: 1.0 dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 10 dmi.chassis.vendor: ASUSTeK Computer Inc. dmi.chassis.version: 1.0 dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrK43SA.211:bd11/17/2011:svnASUSTeKComputerInc.:pnK43SA:pvr1.0:rvnASUSTeKComputerInc.:rnK43SA:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0: dmi.product.name: K43SA dmi.product.version: 1.0 dmi.sys.vendor: ASUSTeK Computer Inc. --- ApportVersion: 2.12.7-0ubuntu3 Architecture: amd64 CurrentDesktop: Unity DistroRelease: Ubuntu 14.04 InstallationDate: Installed on 2013-12-19 (1 days ago) InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20131021.1) MarkForUpload: True Package: linux (not installed) Tags: trusty Uname: Linux 3.13.0-999-generic x86_64 UnreportableReason: The running kernel is not an Ubuntu kernel UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
2013-12-24 19:11:57 Christopher M. Penalver linux (Ubuntu): importance Medium Low
2013-12-24 19:11:57 Christopher M. Penalver linux (Ubuntu): status Confirmed Triaged
2013-12-24 19:12:20 Christopher M. Penalver tags apport-collected kernel-bug-exists-upstream-v3.13-rc3 latest-bios-211 regression-potential staging trusty apport-collected kernel-bug-exists-upstream-v3.13-rc3 latest-bios-211 staging trusty
2014-01-02 04:58:20 Ritesh Khadgaray bug added subscriber Dave Chiluk
2014-01-22 06:13:58 Martin Pitt bug added subscriber Martin Pitt
2014-02-04 16:46:46 shankao bug added subscriber shankao
2014-04-25 20:34:44 Olivier Febwin bug added subscriber Olivier Febwin
2014-05-15 22:38:35 Adrián Santos Marrero bug added subscriber Adrián Santos Marrero
2014-05-26 12:10:15 Joshua bug added subscriber Joshua
2014-05-29 18:57:23 klingel bug added subscriber klingel
2014-06-30 20:37:28 Martin Spacek bug added subscriber Martin Spacek
2014-06-30 20:39:40 Martin Spacek summary htree_dirblock_to_tree:920: inode #53629599: block 214443464: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1667681412, rec_len=45654, name_len=39 fstrim corrpution on some SSDs
2014-06-30 20:39:47 Martin Spacek summary fstrim corrpution on some SSDs fstrim corrupution on some SSDs
2014-07-01 00:38:22 Christopher M. Penalver summary fstrim corrupution on some SSDs htree_dirblock_to_tree:920: inode #53629599: block 214443464: comm rm: bad entry in directory: rec_len % 4 != 0 - offset=0(0), inode=1667681412, rec_len=45654, name_len=39
2014-07-25 18:04:04 JeffreyEsquivelS bug added subscriber JeffreyEsquivelS
2014-07-27 14:21:56 klingel removed subscriber klingel
2014-08-07 14:23:48 David Marzal bug added subscriber David Marzal
2014-08-18 10:17:14 Joshua bug watch added http://bugzilla.kernel.org/show_bug.cgi?id=71371
2014-08-20 05:48:22 Martin Pitt linux (Ubuntu): status Triaged Fix Released
2016-11-28 02:20:33 flyskyluck521 bug added subscriber flyskyluck521
2017-07-21 10:52:43 Christopher M. Penalver removed subscriber Christopher M. Penalver
2017-07-21 17:09:07 Dave Chiluk removed subscriber Dave Chiluk